var ws = null,
	wo = null;
var scan = null,
	domready = false;
// H5 plus事件处理
function plusReady() {
	if(ws || !window.plus || !domready) {
		return;
	}
	// 获取窗口对象
	ws = plus.webview.currentWebview();
	wo = ws.opener();
	// 开始扫描
	ws.addEventListener('show', function() {
		scan = new plus.barcode.Barcode('bcid');
		scan.onmarked = onmarked;
		scan.start({
			conserve: true,
			filename: '_doc/barcode/'
		});
	}, false);
	// 显示页面并关闭等待框
	ws.show('pop-in');
	//	wo.evalJS('closeWaiting()');
}
if(window.plus) {
	plusReady();
} else {
	document.addEventListener('plusready', plusReady, false);
}
// 监听DOMContentLoaded事件
document.addEventListener('DOMContentLoaded', function() {
	domready = true;
	plusReady();
}, false);
// 二维码扫描成功
function onmarked(type, result, file) {
	switch(type) {
		case plus.barcode.QR:
			type = 'QR';
			break;
		case plus.barcode.EAN13:
			type = 'EAN13';
			break;
		case plus.barcode.EAN8:
			type = 'EAN8';
			break;
		default:
			type = '其它' + type;
			break;
	}
	result = result.replace(/\n/g, '');
	var results = result.split('_');
	plus.nativeUI.showWaiting('正在识别...');
	if(results[0] == 'order') {
		var scanurl = appurls + '/basic.transaction/order_advance_confirm/' + mid;
		app_post(scanurl, {
			ticket: result
		}, function(data) {
			plus.nativeUI.closeWaiting()
			if(data.Error == 0) {
				var barcdata = JSON.stringify(data);
				plus.storage.setItem('orderbarcode', barcdata);
				if(data.data.pay_status == 1) {
					mui.alert('该订单已支付过了！', function() {
						back();
					});
					return false;
				}
				mui.openWindow({
					url: 'pays.html',
					id: 'pays',
					styles: {
						top: 0,
						bottom: 0,
						background: 'transparent'
					},
					extras: {
						upid: ws.id,
						order_id: results[1]
					}
				})
				//wo.evalJS("scaned('" + type + "','" + result + "','" + file + "');");
				//back();
			} else {
				mui.alert(data.Msg, function() {

					back();
				})
			}
		})
	} else if(results[0] == 'scanwinning') {

		var user_scan_code = appurls + '/member.qrcode/user_scan_code/' + mid;
		app_post(user_scan_code, {
			ticket: result
		}, function(data) {
			plus.nativeUI.closeWaiting()
			if(data.Error == 0) {
				mui.alert(data.Msg, function() {
					if(ws.upid) {
						var plk = plus.webview.getWebviewById(ws.upid);
						mui.fire(plk, 'successscan');
						back();
					}

				})
			} else {
				mui.alert(data.Msg, function() {
					back();
				})
			}
		})
	}else{
		plus.nativeUI.closeWaiting();
		mui.alert('二维码识别错误',function(){
			back();
		});
	}

}
// 从相册中选择二维码图片 
function scanPicture() {
	plus.gallery.pick(function(p) {
			for(var i in p.files) {
				plus.barcode.scan(p['files'][i], onmarked, function(error) {
			plus.nativeUI.alert('无法识别此图片',function(){
				back();
			});
		});	
			}
		}, function() {}, {
			system: false,
			multiple: true,
			maximum: 1
		});
}