Page({
	url: {
		goods_collect_list: appurls + '/eshop.collection/store_collect_list/' + mid,
		collection_store_add: appurls + '/eshop.collection/collection_store_add/' + mid
	},
	getdata: [],
	getview: function() {
		var _this = this;
		if(!_this.viewshow || !_this.datashow) return;
		if(_this.getdata.length > 0) {

			// 有数据是关闭没有数据的页面提示  并且渲染模版
			var html = template('list2H', {
				listD: _this.getdata
			});
			document.getElementById('list2').innerHTML = html;
			document.getElementById('item2').style.display = "block";
			document.getElementById('nonecontent').style.display = "none";
			
		} else {
			document.getElementById('item2').style.display = "none";
			document.getElementById('nonecontent').style.display = "block";
		}
	},
	page: 0,
	qingqiu: false,
	allposts: function(type) {
		var _this = this;
		var datap = {
			"page": _this.page,
			"pagesize": 10,
		}
		if(_this.qingqiu) {
			return false;
		}
		_this.qingqiu = true;
		app_post(_this.url.goods_collect_list,datap, function(data) {
			_this.qingqiu = false;
//			console.log(JSON.stringify(data));
			if(data.Error == 0) {
				_this.maxpage = data.maxpage;
				if(_this.refresh) _this.getdata = [];
				var isEnd = true;
				mui.each(data.data, function($k, $v) {
					_this.getdata.push($v);
					isEnd = false;

				});
				if(_this.page >= _this.maxpage) {
					isEnd = true;
				}

				document.getElementById('showloading').style.display = "none";
				_this.datashow = true;
			
					_this.getview();
				
				if(type == 1) mui('#item2').pullRefresh().endPulldownToRefresh();
				if(type == 2) mui('#item2').pullRefresh().endPullupToRefresh(isEnd);
				_this.refresh = false;
			}
		});

	},
	onload: function() {
		var self = plus.webview.currentWebview();
		var _this = this;
		document.addEventListener("netchange", function() {
			var status = plus.networkinfo.getCurrentType();
			if(status !=1){
				_this.qingqiu = false;
				_this.viewshow = true;
				self.reload();
			}
		})
		var pullfreshFunction= function() {

			if(_this.refresh) return false;
			_this.refresh = true;
			_this.page = 1;
			_this.getdata = [];
			_this.allposts(1);
			//console.log("执行一次");
			mui('#item2').pullRefresh().endPulldownToRefresh();
			mui('#item2').pullRefresh().enablePullupToRefresh();
			mui('#item2').pullRefresh().finished = false;
		}
		var UpfreshFunction= function() {
			if(_this.refresh) {
				mui('#item2').pullRefresh().endPullupToRefresh(false);
				return false;
			}
			_this.page = _this.page + 1;
			_this.allposts(2);
		}

		mui.init({
			pullRefresh: {
				container: "#item2", //下拉刷新容器标识，querySelector能定位的css选择器均可，比如：id、.class等
				down: {
					height: 50, //可选,默认50.触发下拉刷新拖动距离,
					auto: false, //可选,默认false.自动下拉刷新一次
					contentdown: '正在刷新', //可选，在下拉可刷新状态时，下拉刷新控件上显示的标题内容
					contentover: '下拉刷新', //可选，在释放可刷新状态时，下拉刷新控件上显示的标题内容
					contentrefresh: '正在刷新', //可选，正在刷新状态时，下拉刷新控件上显示的标题内容
					callback: pullfreshFunction //必选，刷新函数，根据具体业务来编写，比如通过ajax从服务器获取新数据；
				},
				up: {
					height: 50, //可选.默认50.触发上拉加载拖动距离
					auto: true, //可选,默认false.自动上拉加载一次
					contentrefresh: "正在加载...", //可选，正在加载状态时，上拉加载控件上显示的标题内容
					contentnomore: '更多精彩，敬请期待', //可选，请求完毕若没有更多数据时显示的提醒内容；
					callback: UpfreshFunction //必选，刷新函数，根据具体业务来编写，比如通过ajax从服务器获取新数据；
				}
			}
		});
	},
	btnName : '取消收藏',
	getOn:function(){
		var self = plus.webview.currentWebview();
		var _this = this;
		mui('#list2').off('tap','img');
		mui('#list2').on('tap','img',function(){
			var datra = this.getAttribute('data-r');
			var obj = _this.open('../store/details.html', 'store_details', {
				top: 0,
				bottom: 0
			}, {
				store_id: datra
			})
			if(!obj) return;
		});
		mui('#list2').off('tap','.gy-rhig');
		mui('#list2').on('tap','.gy-rhig',function(){
			console.log(5);
			var id = this.getAttribute('data-i');
			var btnArray = ['否', '是'];
			mui.confirm("是否要"+_this.btnName+"此店铺?","温馨提示",btnArray,function(e){
				if(e.index == 1){
					app_post(_this.url.collection_store_add,{"info[shopid]":id}, function(data){
						if(data.Error == 0){
							if(data.data.my == 0){
								document.getElementById('canelCollect_'+id).innerHTML = '重新收藏';
								_this.btnName = '重新收藏';
							}else if(data.data.my == 1){
								document.getElementById('canelCollect_'+id).innerHTML = '取消收藏';
								_this.btnName = '取消收藏';
							}
							mui.toast(data.Msg);
						}else{
							mui.toast(data.Msg);
						}
					})
				}else{}
			})
		});
	},
	onLoaded: function() {
		var _this = this;
		_this.viewshow = true;
		_this.getview();
		_this.getOn();
		
	},
	onShow: function() {
		var _this = this;
		_this.viewshow = true;
		_this.getview();
		_this.getOn();
	}
});