Page({
	dataurls: {
		list_wacoupon: 　appurls + '/eshop.wacoupon/list_wacoupon/' + mid,
		add_user_wacoupon: 　appurls + '/eshop.wacoupon/add_user_wacoupon/' + mid
	},
	webview: null,
	data: {
		imgList: null,
		isShow: false,
		datap: {
			"page": 1,
			"pagesize": 10
		}
	},
	onload: function() {
		var _this = this;
		document.addEventListener("netchange", function() {
			var status = plus.networkinfo.getCurrentType();
			if(status !=1){
				_this.data.isShow = true;
				_this.getData(d);
			}
		})
	},
	buildList: function(o) {
		document.getElementById('showloading').style.display = "none";
		document.getElementById('refreshContainer').style.display = "block";
		var _this = this;
		if(!_this.data.imgList || !_this.data.isShow) return;
		if(_this.data.imgList.length > 0) {
			document.getElementById('nonecontent').style.display = "none";
		} else {
			document.getElementById('nonecontent').style.display = "block";
			document.getElementById('refreshContainer').style.display = "none";
		}
		var html = template('listH', {
			listD: _this.data.imgList
		});
		document.getElementById('List').innerHTML = o == 'd' ? html : document.getElementById('List').innerHTML + html;
		_this.data.imgList = [];
		_this.buildPull();
		_this.eventOn();
	},
	buildPull: function() {
		var _this = this;
		if(_this.data.isPull) return;

		function downData() {
			_this.getData('d');
		}

		function upData() {
			_this.data.datap.page = _this.data.datap.page + 1;
			_this.getData('u');
		}
		mui.init({
			pullRefresh: {
				container: "#refreshContainer", //下拉刷新容器标识，querySelector能定位的css选择器均可，比如：id、.class等
				down: {
					height: 50, //可选,默认50.触发下拉刷新拖动距离,
					auto: false, //可选,默认false.自动下拉刷新一次
					contentdown: "下拉可以刷新", //可选，在下拉可刷新状态时，下拉刷新控件上显示的标题内容
					contentover: "释放立即刷新", //可选，在释放可刷新状态时，下拉刷新控件上显示的标题内容
					contentrefresh: "正在刷新...", //可选，正在刷新状态时，下拉刷新控件上显示的标题内容
					callback: downData //必选，刷新函数，根据具体业务来编写，比如通过ajax从服务器获取新数据；
				},
				up: {
					height: 50, //可选.默认50.触发上拉加载拖动距离
					auto: false, //可选,默认false.自动上拉加载一次
					contentrefresh: "正在加载...", //可选，正在加载状态时，上拉加载控件上显示的标题内容
					contentnomore: '到底啦！去别处逛逛吧~~', //可选，请求完毕若没有更多数据时显示的提醒内容；
					callback: upData //必选，刷新函数，根据具体业务来编写，比如通过ajax从服务器获取新数据；
				}
			}
		});
		_this.data.isPull = true;
	},
	getData: function(o) {

		var _this = this;
		if(o == 'd') {
			_this.data.datap.page = 1;
		}

		if(_this.data.maxpage && o == 'u') {

			if(_this.data.datap.page > _this.data.maxpage) {

				mui('#refreshContainer').pullRefresh().endPullupToRefresh(true);
				return false;
			};
		}
		 plus.nativeUI.showWaiting("",{"width":"80px","height":"80px","text-align":"center"});
		app_post(_this.dataurls.list_wacoupon, _this.data.datap, function(data) {
			
			if(o == 'd') {
				mui('#refreshContainer').pullRefresh().endPulldownToRefresh();
			}
			if(o == 'u') {
				mui('#refreshContainer').pullRefresh().endPullupToRefresh();
			}
			if(data.Error == 0) {
				_this.data.imgList = data.data;
				if(data.data.length > 0) {
					_this.data.maxpage = data.maxpage;

				}
				_this.buildList(o);
			} else {
				plus.nativeUI.toast('数据载入错误', {
					verticalAlign: 'bottom'
				});
			}
			setTimeout(function(){
				plus.nativeUI.closeWaiting()
			},300);
		})
	},
	eventOn: function() {
		var _this = this;
		mui("#List").off('tap', '.lq_btn');
		mui("#List").on('tap', '.lq_btn', function() {
			var id = this.getAttribute('data-r');
			var type = this.getAttribute('data-t');
			if(type == 'n') return;
			app_post(_this.dataurls.add_user_wacoupon, {
				id: id
			}, function(data) {
				if(data.Error == 0) {
					mui.toast("恭喜您，领取成功！");
					var button = document.getElementById('button_' + id);
					button.innerHTML = '已领取';
					button.style.opacity = 0.5;
				} else {
					mui.alert(data.Msg);
				}
			})
		})
	},
	onLoaded: function() {
		var _this = this;
		_this.getData();
		if(!_this.data.isShow) {
			_this.data.isShow = true;
			_this.buildList("d");
		}

	},
	onShow: function() {
		var _this = this;
		_this.getData();
		if(!_this.data.isShow) {
			_this.data.isShow = true;
			_this.buildList("d");
		}
	}
});