Page({
	
	dataurls: {
		editurl: appurls + '/member.user/edit_userinfo/' + mid,
		edit_pwd: appurls + '/member.user/edit_password/' + mid
	},
	pwd: false,
	savebutton: true,
	savedata: function() {
		var _this = this;
		var self = plus.webview.currentWebview();
		document.getElementById('save').addEventListener('tap', function() {
			document.activeElement.blur();
			if(_this.savebutton) {
				return false;
			}

			_this.savebutton = true;
			if(_this.pwd) {
				var oldpwd = document.getElementById('oldpwd').value;
				var newpwd = document.getElementById('newpwd').value;
				var repwd = document.getElementById('repwd').value;
	
				if(oldpwd == '' || newpwd == '' || repwd == '') {
					mui.alert('请填写密码');
					_this.savebutton = false;
					return false;
				}else if(newpwd.length < 6 || newpwd.length> 15) {
					mui.alert('密码长度6~15位');
					_this.savebutton = false;
					document.getElementById('repwd').value = '';
					return false;
				}else if(oldpwd == newpwd) {
					mui.alert('新密码与原密码相同，请重新设置新密码！');
					_this.savebutton = false;
					return false;
				} else if(repwd != newpwd) {
					mui.alert('两次密码输入不正确，请重新输入');
					_this.savebutton = false;
					document.getElementById('repwd').value = '';
					return false;
				}
				oldpwd = hex_sha1(oldpwd);
				newpwd = hex_sha1(newpwd);
				repwd = hex_sha1(repwd);

				var datasurl = _this.dataurls.edit_pwd;
				var infos = "&info[bPassword]=" + oldpwd + "&info[nPassword]=" + newpwd + "&info[n2Password]=" + repwd;
			} else {
				var mksdata = autoformds('formdata');
				var infos = "";
				for(var i = 0; i < mksdata.length; i++) {
					infos = infos + '&' + mksdata[i]['name'] + "=" + mksdata[i]['value'];
				}
				var datasurl = _this.dataurls.editurl;
			}

			app_post(datasurl, infos, function(data) {
				_this.savebutton = false;
				if(data.Error == 0) {
					//console.log(JSON.stringify(data));
					if(_this.pwd) {
						document.getElementById('oldpwd').value = '';
						document.getElementById('newpwd').value = '';
						document.getElementById('repwd').value = '';
						plus.storage.removeItem("user");
						var po = {
							keys: data.authkey
						};
						plus.storage.setItem("user", JSON.stringify(po));
						mui.toast("密码修改成功！")
					}
					
					var viewh = plus.webview.getWebviewById(self.uid);
					mui.fire(viewh, 'storev_view', {

					});
					mui.back();
				} else {
					mui.alert(data.Msg);
					if(_this.pwd) {
						document.getElementById('oldpwd').value = '';
						document.getElementById('newpwd').value = '';
						document.getElementById('repwd').value = '';
					}
				}
			})
		})
	},
	onload: function() {
		var self = plus.webview.currentWebview();
		var userinfosvalue= plus.storage.getItem('userinfosvalue');
		//console.log(userinfosvalue);
		userinfosvalue = JSON.parse(userinfosvalue);
		var _this = this;
		if(userinfosvalue){
			var mkp={
			age:userinfosvalue.age?userinfosvalue.age:'',
			education:userinfosvalue.education?userinfosvalue.education:'',
			income:userinfosvalue.income?userinfosvalue.income:''
		}
		}
		
		window.addEventListener("keydown", function(e) {
			if(13 == e.keyCode) { //点击了“搜索”  
			document.activeElement.blur(); 
			}
		})
		window.addEventListener('storev_edit', function(event) {
			//console.log(JSON.stringify(event.detail));
			_this.pwd = false;
			_this.savebutton = true;
			var html = template('listH', {
				listN: event.detail
				
			});
			document.getElementById('list').innerHTML = html;
			if(event.detail.name == 'birthday') {
				mui(".mui-content").off('tap', '#getbirthday');
				mui(".mui-content").on('tap', '#getbirthday', function() {
					var optionsJson = this.getAttribute('data-options') || '{}';
					var options = JSON.parse(optionsJson);
					var dtpicker = new mui.DtPicker(options)
					dtpicker.show(function(rs) {
						document.getElementById('getbirthday').value = rs.text;
						dtpicker.dispose();
					});
				});
				document.getElementById('save').style.color = "#fff";
				_this.savebutton = false;
			} else if(event.detail.name == 'password') {
				var oldpwd = document.getElementById('oldpwd').value;
				var newpwd = document.getElementById('newpwd').value;
				var repwd = document.getElementById('repwd').value;
				document.getElementById('save').style.color = "#fff";
				_this.savebutton = false;
				_this.pwd = true;
			} else if(event.detail.name == 'sex') {
				document.getElementById('save').style.color = "#fff";
				_this.savebutton = false;
			} else if(event.detail.name == 'age' || event.detail.name == 'education' || event.detail.name == 'income'){
				var idvalue = event.detail.name;
				var userPicker = new mui.PopPicker();
					userPicker.setData(mkp[event.detail.name]);
				var showUserPickerButton = document.getElementById('showUserPicker');
					var userResult = document.getElementById('userResult');
					showUserPickerButton.addEventListener('tap', function(event) {
						userPicker.show(function(items) {
							userResult.innerText = items[0].text;
							document.getElementById(idvalue).value=items[0].value;
							if(items[0].text != event.detail.value){
								document.getElementById('save').style.color = "#fff";
								_this.savebutton = false;
							}else{
								document.getElementById('save').style.color = "#ff7975";
								_this.savebutton = true;
							}
							//返回 false 可以阻止选择框的关闭
							//return false;
						});
					}, false);
			}else {
				document.getElementById("textareachagne").addEventListener('input', function() {
					if(this.value != event.detail.value) {
						document.getElementById('save').style.color = "#fff";
						_this.savebutton = false;
					} else {
						document.getElementById('save').style.color = "#ff7975";
						_this.savebutton = true;
					}
				});
			}

			_this.savedata();
			window.removeEventListener('storev_edit', function(event) {});
		});
		//文本域 S
		var t = window.document.getElementsByTagName('textarea');
		for(var i = 0; i < t.length; i++) {
			var n = t[i];
			autoTextarea(n);
		}
		//文本域 E
	}
})