Page({
	dataurls: {
		groupbuy_list: appurls + '/basic.transaction/order_self_list_user/' + mid, //订单
		del_order: appurls + '/basic.transaction/del_order/' + mid, //删除订单
		cancel_refund: appurls + '/basic.transaction/cancel_refund/' + mid //撤销退款
	},
	webview: null,
	data: {
	    imgList: null,
	    isShow:false,
	    datap:{
	    	"search":{
	    		"whole_status":9
	    	},
	    	"page":1,
	    	"pagesize":10
	    }
	},
	onload: function() {
		var _this = this;
		//console.log("=======onload!!!!!=======")
		this.webview = plus.webview.currentWebview();
    	_this.getData();
	},
	del_order: function(orderid) {
		var _this = this;
		var btnArray = ['确定', '取消'];
		mui.confirm('删除之后不可恢复', '确定删除订单？', btnArray, function(e) {
			if(e.index == 1) {

			} else {

				app_post(_this.dataurls.del_order, {
					id: orderid
				}, function(data) {
					if(data.Error == 0) {

						for(var i in _this.data.imgList) {
							if(_this.data.imgList[i].id == orderid) {
								var index = _this.data.imgList.indexOf(_this.data.imgList[i]);
								if(index > -1) {
									_this.data.imgList.splice(index, 1);
								}
								break;
							}
						}

						_this.buildList("d");
						mui.toast('订单删除成功！');

					} else {
						mui.alert(data.Msg);
					}
				})
			}
		})

	},
	cancel_refund: function(orderid,detailid) {
		var _this = this;
		var btnArray = ['确定', '取消'];
		//console.log("dianjile")
		mui.confirm('撤销之后不可恢复', '确定撤销退款？', btnArray, function(e) {
			if(e.index == 1) {
				
			} else {
				app_post(_this.dataurls.cancel_refund, {
					order_id: orderid,
					detail_id: detailid
				}, function(data) {
					if(data.Error == 0) {

						for(var i in _this.data.imgList) {
							if(_this.data.imgList[i].id == orderid) {
								for(var j=0;j<_this.data.imgList[i].detail.length;j++){
									if(_this.data.imgList[i].detail[j].id == detailid){
										var index = _this.data.imgList[i].detail.indexOf(_this.data.imgList[i].detail[j].id);
										if(index > -1) {
											_this.data.imgList[i].detail.splice(index, 1);
										}
										break;
									}
								}
							}
						}

						_this.buildList("d");
						mui.toast('撤销成功！');

					} else {
						mui.alert(data.Msg);
					}
				})
			}
		})

	},
	buildList: function(o) {
	    //console.log('渲染模板');
		var _this = this;
	    //console.log(!_this.data.imgList);
	    //console.log(!_this.data.isShow);
		if(!_this.data.imgList || !_this.data.isShow) return;
		document.getElementById('showloading').style.display = "none";
	    document.getElementById('refreshContainer').style.display = "block";
		//console.log(o);
		var html = template('listH', {
		  	listD: _this.data.imgList
		});
		document.getElementById('List').innerHTML = o == 'd' ? html :  document.getElementById('List').innerHTML + html;
//		mui(document).imageLazyload({
//	  		placeholder: '../images/60x60.gif'
//	    });
	    _this.data.imgList = [];
	    _this.buildPull();
	    
	},
	buildPull: function() {
	    var _this = this;
	    if(_this.data.isPull) return;
	    function downData() {
	      _this.getData('d');
	    }
	    function upData() {
	    	_this.data.datap.page = _this.data.datap.page + 1;
		    _this.getData('u');
	    }
	    mui.init({
	      pullRefresh: {
	        container: "#refreshContainer", //下拉刷新容器标识，querySelector能定位的css选择器均可，比如：id、.class等
	        down: {
	          height: 50, //可选,默认50.触发下拉刷新拖动距离,
	          auto: false, //可选,默认false.自动下拉刷新一次
	          contentdown: "下拉可以刷新", //可选，在下拉可刷新状态时，下拉刷新控件上显示的标题内容
	          contentover: "释放立即刷新", //可选，在释放可刷新状态时，下拉刷新控件上显示的标题内容
	          contentrefresh: "正在刷新...", //可选，正在刷新状态时，下拉刷新控件上显示的标题内容
	          callback: downData //必选，刷新函数，根据具体业务来编写，比如通过ajax从服务器获取新数据；
	        },
	        up: {
	          height: 50, //可选.默认50.触发上拉加载拖动距离
	          auto: false, //可选,默认false.自动上拉加载一次
	          contentrefresh: "正在加载...", //可选，正在加载状态时，上拉加载控件上显示的标题内容
	          contentnomore: '没有更多数据了', //可选，请求完毕若没有更多数据时显示的提醒内容；
	          callback: upData //必选，刷新函数，根据具体业务来编写，比如通过ajax从服务器获取新数据；
	        }
	      }
	    });
	    _this.data.isPull = true;
	    _this.eventOn();
	},
  	getData: function(o) {
	    //console.log('获取数据');
	    var _this = this;
	    if(o == 'd'){
	    	_this.data.datap.page = 1;
	    }
	    //console.log(_this.data.datap.page)
	    if(_this.data.maxpage && o == 'u'){
	    	//console.log(_this.data.maxpage+"最大页数")
    		if(_this.data.datap.page > _this.data.maxpage){
	    		//console.log("超出页数了！！！！！");
				mui('#refreshContainer').pullRefresh().endPullupToRefresh(true);
	    		return false;
	    	};
	    }
	    app_post(_this.dataurls.groupbuy_list, _this.data.datap,function(data){
	    	if(o == 'd'){
				mui('#refreshContainer').pullRefresh().endPulldownToRefresh();
				mui('#refreshContainer').pullRefresh().enablePullupToRefresh();
			} 
			if(o == 'u') {
				mui('#refreshContainer').pullRefresh().endPullupToRefresh();
			}
			//console.log("请求了");
			if(data.Error == 0) {
			    //console.log(data)
			    _this.data.imgList = data.data;
			    if(data.data.length > 0) {
			    	_this.data.maxpage = data.maxpage;
			    	//console.log(JSON.stringify(data));
			    } else {
				    document.getElementById('nonecontent').style.display = 'block';
				}
				_this.buildList(o);
				//console.log("第二次build");
			} else {
			    plus.nativeUI.toast('数据载入错误', {
			  		verticalAlign: 'bottom'
			    });
			}
	    })
	},
	eventOn:function(){
		var _this = this;
		mui("#List").off('tap', '.do_getOn');
		mui("#List").on('tap', '.do_getOn', function() {
			var gid = this.getAttribute('data-id');
			var type = this.getAttribute('data-t');
			if(type == "del"){
				_this.del_order(gid);
			}else{
				var did = this.getAttribute('data-did');
				_this.cancel_refund(gid,did);
			}
		})
	},
	onLoaded:function(){
		var _this = this;
		_this.data.isShow = true;
		_this.buildList("d");
	},
	onShow: function() {
		//渲染页面
		var _this = this;
//		_this.data.isShow = true;
//		_this.buildList("d");
	}
})