var alerttitle = "温馨提示";
var imgcompress = function(path, obj, callback) { 
	var img = new Image(); 
	img.src = path; 
	img.onload = function() {  
		var that = this;   // 默认按比例压缩
		  
		var w = that.width,
			   h = that.height,
			   scale = w / h;   
		w = obj.width || w;   
		h = obj.height || (w / scale);  
		var quality = 0.7;  // 默认图片质量为0.7
		   //生成canvas
		  
		var canvas = document.createElement('canvas');  
		var ctx = canvas.getContext('2d');   // 创建属性节点
		  
		var anw = document.createAttribute("width");  
		anw.nodeValue = w;  
		var anh = document.createAttribute("height");  
		anh.nodeValue = h;  
		canvas.setAttributeNode(anw);  
		canvas.setAttributeNode(anh);  
		ctx.drawImage(that, 0, 0, w, h);   // 图像质量
		  
		if(obj.quality && obj.quality <= 1 && obj.quality > 0) {   
			quality = obj.quality;  
		}   // quality值越小，所绘制出的图像越模糊
		  
		var base64 = canvas.toDataURL('image/jpeg', quality);   // 回调函数返回base64的值
		  
		callback(base64); 
	}
};

//所有页面加载本js
//本js做基本框架入口
//原理参照微信小程序设计
//此Js基于mui.js

//Page函数为小程序中页面中的函数，尝试设计一个类似的函数做页面入口
var mid = 'FKHBUILDER';

function isString(obj) { //判断对象是否是字符串  
	return Object.prototype.toString.call(obj) === "[object String]";
}

function checkTime(i) { //将0-9的数字前面加上0，例1变为01 
	if(i < 10) {
		i = "0" + i;
	}
	return i;
}
var AppEvent = new Event();
AppEvent.addEvent('AppRequest', function() {
	AppAjax.Do();
});

//Page函数为小程序中页面中的函数，尝试设计一个类似的函数做页面入口
var mid = 'FKHBUILDER';
var filejiekou = "http://47.94.46.135/web/basic.file/accessory_app/";
//var appurls = "http://47.94.41.227/open"
var appurls = "https://wuai.shechem.cn/open";
//var appurls = "http://10.255.255.247/open";
var AppAjax = {};
AppAjax.queue = [];
AppAjax.Busy = 0;
AppAjax.MaxRequest = 3;

function netWork() {
	var status = plus.networkinfo.getCurrentType();

	if(status == 1) {
		var showGuide = plus.storage.getItem("lauchFlag3");

		if(showGuide) {
			document.addEventListener("netchange", function() {
				setTimeout(function() {
					var status = plus.networkinfo.getCurrentType();
					if(status != 1) {
						var errorviews = plus.webview.getWebviewById('error');
						if(errorviews) {
							errorviews.close();
						}
					} else {
						var self = plus.webview.currentWebview();
						var commerror = plus.webview.getWebviewById('error');
						if(commerror) {
							plus.webview.show(commerror, 'none', '600', function() {
								
							}, {
								netWork: status,
								upid: self.id
							});
						} else {
							mui.openWindow({
								url: '/page/error/index.html',
								id: 'error',
								styles: {
									top: "0px",
									bottom: "0px",
									zindex: 50,
									background: 'transparent'
								},
								extras: {
									netWork: status,
									upid: self.id
								}
							})
						}
					}
				})
			}, 3000);
		}
		//		return false;
	} else {
		var errorviews = plus.webview.getWebviewById('error');
		if(errorviews) {
			errorviews.close();
		}
	}
}

function app_post(url, parameter, callback, loginstate, page) {
	//投递请求任务
	netWork();
	var errcallback;
	if(typeof(url) == 'object'){
	
		parameter=url.parameter;
		callback=url.callback;
		errcallback = url.errcallback;
		url=url.url;
	}
	//console.log('投递请求任务');
	AppAjax.queue.push({
		url: url,
		parameter: parameter,
		callback: callback,
		errcallback: errcallback
	});

	AppEvent.fireEvent("AppRequest");
}
AppAjax.Do = function() {
	//处理请求队列	
	var queueLength = AppAjax.queue.length;
	for(var i = 0; i < queueLength && AppAjax.Busy < AppAjax.MaxRequest; i++) {
		AppAjax.Busy++;
		var request = AppAjax.queue.shift();
		AppAjax.DoAjax(request.url, request.parameter, request.callback, request.errcallback);
		if(AppAjax.queue.length == 0) break;
	}
}
AppAjax.DoAjax = function(url, parameter, callback, errcallback) {

	//	var po = {keys:'IzQVbW17TSMvFwARLCgbBxZsVA=='};
	//	plus.storage.setItem("customer", JSON.stringify(po));
	//plus.storage.removeItem("customer");
	var user_authkey = plus.storage.getItem("customer");

	if(user_authkey) {
		user_authkey = JSON.parse(user_authkey);
		if(typeof(user_authkey) == 'string') {
			var user_authkey = plus.storage.removeItem("customer");
		}
		user_authkey = user_authkey.keys;
	} else {
		user_authkey = '';
	}
	//console.log(user_authkey);
	if(isString(parameter)) {
		parameter += '&headerkey=' + user_authkey;
	} else {
		parameter = mui.extend({}, parameter);
		parameter.headerkey = user_authkey;
	}	
	url = url + '?_' + Math.random();
//	console.log(url + '****************');
//	console.log('传递的参数－－－－－－－－－－－－' + JSON.stringify(parameter));

	mui.ajax(url, {
		data: parameter,
		dataType: 'json', //服务器返回json格式数据
		type: 'post', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		headers: {
			'Content-Type': 'application/x-www-form-urlencoded',
			'X-Requested-With': 'XMLHttpRequest'
		},
		success: function(data) {
// 		console.log(JSON.stringify(data));
			AppAjax.Busy = AppAjax.Busy - 1;
			if(AppAjax.queue.length > 0) AppEvent.fireEvent("AppRequest");
			callback(data);



		},
		error: function(xhr, type, errorThrown) {
			//异常处理；
//			console.log(JSON.stringify(type));
//						console.log(JSON.stringify(type));
//						console.log(url + '***发生了异常');
//						console.log(errorThrown);
//						console.log(xhr.readyState);
//						console.log(xhr.status);
//						console.log(xhr.statusText);
//						console.log(xhr.responseText);
			AppAjax.Busy = AppAjax.Busy - 1;
			if(AppAjax.queue.length > 0) AppEvent.fireEvent("AppRequest");
			plus.nativeUI.closeWaiting();
			var data = {
				Error: -1
			};
			if(typeof(errcallback) == 'function'){
				errcallback(xhr, type, errorThrown);
			}
			else{}
			//callback(data);

		}
	});
	return;
}


var outtime = function(newtime) {
	var todays = new Date().getTime();
	todays = parseInt(todays);
	//	console.log(todays);
	var times = (todays - newtime) / 100 / 3600;
	times = times > 3 ? true : false;
	return times;
};
var getDateDiff = function(dateTimeStamp) {
	var mk = dateTimeStamp;
	var dateTimeStamp = Date.parse(dateTimeStamp.replace(/-/gi, "/"));
	var minute = 1000 * 60;
	var hour = minute * 60;
	var day = hour * 24;
	var halfamonth = day * 15;
	var month = day * 30;
	var now = new Date().getTime();
	var diffValue = now - dateTimeStamp;
	if(diffValue < 0) {
		return;
	}
	var monthC = diffValue / month;
	var weekC = diffValue / (7 * day);
	var dayC = diffValue / day;
	var hourC = diffValue / hour;
	var minC = diffValue / minute;
	if(monthC >= 1) {
		result = "" + mk;
	} else if(weekC >= 1) {
		result = "" + mk;
	} else if(dayC >= 1) {
		result = "" + parseInt(dayC) + "天前";
	} else if(hourC >= 1) {
		result = "" + parseInt(hourC) + "小时前";
	} else if(minC >= 1) {
		result = "" + parseInt(minC) + "分钟前";
	} else
		result = "刚刚";
	return result;
}

//数据全局对象
var AtApp = {
	AppData: {},
	viewData: {},
	AppType: '',
	run: function(callback) {
		if(window.plus) {
			if(typeof(callback) == 'function') callback();
		} else {
			//判断运行环境，处理兼容
			if(!mui.os.android && !mui.os.ios) {
				//console.log('in webApp');
				AtApp.AppType = 'webApp';
				if(typeof(callback) == 'function') callback();
			} else {
				//console.log(' in App');
				AtApp.AppType = 'App';
				mui.plusReady(function() {
					if(typeof(callback) == 'function') callback();
				});
			}
		}
	},
	loadScript: function(url) {
		var script = document.createElement("script");
		script.type = "text/javascript";
		script.src = url;
		//document.body.appendChild(script);
		document.head.appendChild(script);
	},
	request: function($url, $options) {
		if($options.DataType == 'jsonp') {
			$options['url'] = $url;
			jQuery.ajax($options);
		} else {
			mui.ajax($url, $options);
		}
	}
}
//当前页面数据对象
var getAppStatus = false;
//App入口注册函数
/***** Start ******/
function App($options) {
	var app = {},
		runfunc = {};
	var $event

	app.run = function(k, callback) {
		var $event = k.substring(2).toLowerCase();
		if(window.plus) {
			var view = plus.webview.currentWebview();
			//console.log($event);
			view.addEventListener($event, function(event) {
				var func = callback;
				func();
			}, false);
		} else {
			window.addEventListener($event, function(event) {
				var func = callback;
				func();
			}, false);
		}

	}

	for(var k in $options) {
		app[k] = $options[k];
	}
	//启动事件监听
	if(window.plus) {
		var view = plus.webview.currentWebview();
		app.webView = view;
	} else {
		var view = window;
	}

	view.addEventListener('show', function(event) {
		AtApp.run(function() {
			app.onShow();
		});
	});
	view.addEventListener('loaded', function(event) {
		AtApp.run(function() {
			app.onLoaded();
		});
	});
	view.addEventListener('close', function(event) {
		var views = plus.webview.all();
		//console.log(views[0].id);
		AtApp.run(function() {
			//app.onLoaded();
		});
	});

	app['onLaunch'] = $options.onLaunch;
	AtApp.run(function() {
		app.onLaunch();
	});
}

/***** End ******/

//页面注册函数,模仿小程序Page函数
/***** Start ******/
function Page($options) {
	var page = {};
	for(var k in $options) {
		//这里进行判断处理，哪些是监听，哪些是事件绑定
		page[k] = $options[k];
	}
	page.isLoad = false;
	page.open = function(url, id, styles, extras) {
		function w() {
			this.open = function(url, id, styles, extras) {
				var obj;
				if(page.isLoad) {
					return false;
				}
				page.isLoad = true;
				obj = plus.webview.getWebviewById(id);
				if(!obj) {
					obj = plus.webview.create(url, id, styles, extras);
					plus.nativeUI.showWaiting('载入中');
					obj.addEventListener('loaded', function() {
						plus.nativeUI.closeWaiting();
					})
					obj.addEventListener('show', function() {
						page.isLoad = false;
					});
					obj.addEventListener('rendered', function() {
						//						console.log('渲染完成');
						//窗口渲染完成,开始截图,执行显示动画
						setTimeout(function() {
							//图片对象
							var bitmap = new plus.nativeObj.Bitmap(obj.id);
							obj.draw(bitmap, function() {});
							//使用截图方式打开窗口
							plus.webview.show(obj.id, 'slide-in-right', 300, function() {}, {
								acceleration: 'capture',
								capture: bitmap
							});
						}, 50);
					});

				} else {
					//console.log('已存在执行打开动画');

					obj.addEventListener('show', function() {
						page.isLoad = false;
					});
					//如果窗口对象存在,直接使用截图方式打开窗口
					setTimeout(function() {
						//图片对象
						var bitmap = new plus.nativeObj.Bitmap(obj.id);
						obj.draw(bitmap, function() {});
						//使用截图方式打开窗口
						plus.webview.show(obj.id, 'slide-in-right', 300, function() {}, {
							acceleration: 'capture',
							capture: bitmap
						});
					}, 50);
				}
				//				setTimeout(function(){
				//					page.isLoad = false;
				//				},300);
				return obj;
			}
			return this;
		}
		var obj = new w();
		return obj.open(url, id, styles, extras);
	}

	//启动事件监听
	if(window.plus) {
		var view = plus.webview.currentWebview();
		page.AppView = plus.webview.getLaunchWebview();
		page.webView = view;
		//console.log('window.plus');
	} else {
		var view = window;
	}

	view.addEventListener('show', function(event) {
		AtApp.run(function() {
			if(typeof(page.onShow) == 'function') page.onShow();
		});
	});
	view.addEventListener('loaded', function(event) {
		AtApp.run(function() {
			if(typeof(page.onLoaded) == 'function') page.onLoaded();
		});
	});

	AtApp.run(function() {
		if(typeof(page.onload) == 'function') page.onload();
	})
}

/***** End ******/

//模仿小程序中的 getApp 函数，实验性
/***** Start ******/
function getApp(func) {
	var $currentView = plus.webview.currentWebview();
	var $mainView = plus.webview.getLaunchWebview();
	//	console.log($currentView.id);
	$mainView.evalJS('var viewId = plus.webview.getWebviewById("' + $currentView.id + '");viewId.evalJS(\'reAppData(AtApp.AppData)\');');
	setTimeout(function() {
		func([AtApp.viewData, $mainView]);
	}, 0);
}

function reAppData(data) {
	AtApp.viewData = data;
}
/***** End ******/

/*获取表单 S*/
var autoformds = function(form) {
	var datasc = [];
	var selp = document.getElementById(form).getElementsByTagName('select');
	for(var t = 0; t < selp.length; t++) {

		if(selp[t].selectedIndex) {
			datasc.push({
				"name": selp[t].getAttribute("name"),
				"value": selp[t].value
			});
		}
	}
	var temp = document.getElementById(form).getElementsByTagName('textarea');
	for(var t = 0; t < temp.length; t++) {
		temp[t].blur();
		if(temp[t].getAttribute("name")) {
			datasc.push({
				"name": temp[t].getAttribute("name"),
				"value": temp[t].value
			});
		}
	}
	var tempinp = document.getElementById(form).getElementsByTagName('input');
	for(var t = 0; t < tempinp.length; t++) {
		var hk = tempinp[t].type;
		tempinp[t].blur();
		switch(hk) {
			case "text":
				if(tempinp[t].getAttribute("name")) {
					datasc.push({
						"name": tempinp[t].getAttribute("name"),
						"value": tempinp[t].value
					});
				};
				break;
			case "number":

				if(tempinp[t].getAttribute("name")) {
					datasc.push({
						"name": tempinp[t].getAttribute("name"),
						"value": tempinp[t].value
					});

				};
				break;
			case "date":
				if(tempinp[t].getAttribute("name")) {
					datasc.push({
						"name": tempinp[t].getAttribute("name"),
						"value": tempinp[t].value
					});
				};
				break;
			case "email":
				if(tempinp[t].getAttribute("name")) {
					datasc.push({
						"name": tempinp[t].getAttribute("name"),
						"value": tempinp[t].value
					});
				};
				break;
			case "password":
				if(tempinp[t].getAttribute("name")) {
					datasc.push({
						"name": tempinp[t].getAttribute("name"),
						"value": tempinp[t].value
					});
				};
				break;
			case "hidden":
				if(tempinp[t].getAttribute("name")) {
					datasc.push({
						"name": tempinp[t].getAttribute("name"),
						"value": tempinp[t].value
					});
				};
				break;
			case "checkbox":
				if(tempinp[t].checked) {
					datasc.push({
						"name": tempinp[t].getAttribute("name"),
						"value": tempinp[t].value
					});
				};
				break;
			case "radio":
				if(tempinp[t].checked) {
					datasc.push({
						"name": tempinp[t].getAttribute("name"),
						"value": tempinp[t].value
					});
				};
				break;

		}

	}
	return datasc;
};
/*获取表单 E*/
/**
 * 文本框根据输入内容自适应高度
 * @param                {HTMLElement}        输入框元素
 * @param                {Number}                设置光标与输入框保持的距离(默认0)
 * @param                {Number}                设置最大高度(可选)
 */
var autoTextarea = function(elem, extra, maxHeight) {
	extra = extra || 0;
	var isFirefox = !!document.getBoxObjectFor || 'mozInnerScreenX' in window,
		isOpera = !!window.opera && !!window.opera.toString().indexOf('Opera'),
		addEvent = function(type, callback) {
			elem.addEventListener ?
				elem.addEventListener(type, callback, false) :
				elem.attachEvent('on' + type, callback);
		},
		getStyle = elem.currentStyle ? function(name) {
			var val = elem.currentStyle[name];

			if(name === 'height' && val.search(/px/i) !== 1) {
				var rect = elem.getBoundingClientRect();
				return rect.bottom - rect.top -
					parseFloat(getStyle('paddingTop')) -
					parseFloat(getStyle('paddingBottom')) + 'px';
			};

			return val;
		} : function(name) {
			return getComputedStyle(elem, null)[name];
		},
		minHeight = parseFloat(getStyle('height'));

	elem.style.resize = 'none';

	var change = function() {
		var scrollTop, height,
			padding = 0,
			style = elem.style;

		if(elem._length === elem.value.length) return;
		elem._length = elem.value.length;

		if(!isFirefox && !isOpera) {
			padding = parseInt(getStyle('paddingTop')) + parseInt(getStyle('paddingBottom'));
		};
		scrollTop = document.body.scrollTop || document.documentElement.scrollTop;

		elem.style.height = minHeight + 'px';
		if(elem.scrollHeight > minHeight) {
			if(maxHeight && elem.scrollHeight > maxHeight) {
				height = maxHeight - padding;
				style.overflowY = 'auto';
			} else {
				height = elem.scrollHeight - padding;
				style.overflowY = 'hidden';
			};
			style.height = height + extra + 'px';
			scrollTop += parseInt(style.height) - elem.currHeight;
			document.body.scrollTop = scrollTop;
			document.documentElement.scrollTop = scrollTop;
			elem.currHeight = parseInt(style.height);
		};
	};

	addEvent('propertychange', change);
	addEvent('input', change);
	addEvent('focus', change);
	change();
};

//自定义事件
function Event() {

	return {
		_listeners: {},
		addEvent: function(type, fn) {
			if(typeof this._listeners[type] === "undefined") {
				this._listeners[type] = [];
			}
			if(typeof fn === "function") {
				this._listeners[type].push(fn);
			}
			return this;
		},
		fireEvent: function(type) {
			var arrayEvent = this._listeners[type];
			if(arrayEvent instanceof Array) {
				for(var i = 0, length = arrayEvent.length; i < length; i += 1) {
					if(typeof arrayEvent[i] === "function") {
						arrayEvent[i]({
							type: type
						});
					}
				}
			}
			return this;
		},
		removeEvent: function(type, fn) {
			var arrayEvent = this._listeners[type];
			if(typeof type === "string" && arrayEvent instanceof Array) {
				if(typeof fn === "function") {
					for(var i = 0, length = arrayEvent.length; i < length; i += 1) {
						if(arrayEvent[i] === fn) {
							this._listeners[type].splice(i, 1);
							break;
						}
					}
				} else {
					delete this._listeners[type];
				}
			}
			return this;
		}
	}
}