Page({
	dataurls: {
		addresslist: appurls + '/eshop.address/list_user_address/' + mid, //地址列表
		addressadd: appurls + '/eshop.address/add_user_address/' + mid, //添加
		addressview: appurls + '/eshop.address/view_user_address/' + mid, //查看
		addressedit: appurls + '/eshop.address/edit_user_address/' + mid, //保存修改
		addressdel: appurls + '/eshop.address/del_user_address/' + mid, //删除
		getAllRegion: appurls + '/basic.region/getAllRegion/' + mid
	},
	saveurl: "",
	getregionview: function(data) {
		var _this = this;
		var datas = JSON.parse(data);

		var cityPicker3 = new mui.PopPicker({
			layer: 3
		});
		cityPicker3.setData(datas.data);
		var showCityPickerButton = document.getElementById('showCityPicker3');
		var cityResult3 = document.getElementById('cityResult3');
		showCityPickerButton.addEventListener('tap', function(event) {
			cityPicker3.show(function(items) {
				cityResult3.innerText = (items[0] || {}).text + " " + (items[1] || {}).text + " " + (items[2] || {}).text;
				document.getElementById('address_province').value = items[0]['value'];
				document.getElementById('address_city').value = items[1]['value'];
				document.getElementById('address_region').value = items[2]['value'];
				document.getElementById('v_province').value = items[0]['text'];
				document.getElementById('v_city').value = items[1]['text'];
				document.getElementById('v_region').value = items[2]['text'];
				//返回 false 可以阻止选择框的关闭
				//return false;
			});
		}, false);

	},
	geton: function() {
		var _this = this;
		var olddata = plus.storage.getItem('regionlist');
		var datask = JSON.parse(olddata);
		if(olddata) {
			_this.getregionview(olddata);
		} else {
			_this.getAllRegion();
		}
		_this.savedata();
		mui('.mui-switch')['switch']()
		document.getElementById('checkswitch').addEventListener('toggle', function(event) {
			document.getElementById('switch_value').value = event.detail.isActive ? 1 : 0;
		});
	},
	getaddresscon: function(id) {
		var _this = this;
		var self = plus.webview.currentWebview();
		var viewhv = plus.webview.getWebviewById(self.upid);
		app_post(_this.dataurls.addressview, {
			id: id
		}, function(data) {
			if(data.Error == 0) {
				var html = template("listH", {
					listN: data.data,
					types: self.types
				});
				document.getElementById("list").innerHTML = html;
				_this.geton();
				mui("#del").on('tap', 'span', function() {
					var datar = this.getAttribute('data-r');
					mui.confirm('确认删除该条记录？', alerttitle, ['确认', '取消'], function(e) {
						if(e.index == 0) {
							app_post(_this.dataurls.addressdel, "&ids[]="+datar+"&display=0", function(data) {
								if(data.Error == 0) {
									mui.fire(viewhv, 'addadressv', {

									});
									mui.back();
								} else {
									mui.alert(data.Msg);
								}
							})
						} else {

						}
					});

				})
			}else{
				mui.alert(data.Msg);
			}
		})
	},
	savedata: function() {
		var _this = this;
		var self = plus.webview.currentWebview();
		var viewhv = plus.webview.getWebviewById(self.upid);
		mui(".repair_item").on('tap', 'button', function() {
			document.activeElement.blur();
			var mksdata = autoformds('formdata');
			var infos = "";
			for(var i = 0; i < mksdata.length; i++) {
				infos = infos + '&' + mksdata[i]['name'] + "=" + mksdata[i]['value'];
			}
			document.getElementById('nowbuy').setAttribute('disabled', 'disabled');

			app_post(_this.saveurl, infos, function(data) {
				document.getElementById('nowbuy').removeAttribute('disabled');
				if(data.Error == 0) {
					mui.alert(data.Msg, function() {

						mui.fire(viewhv, 'addadressv', {
							datas:data

						});
						mui.back();
					});

				} else {
					mui.alert(data.Msg);
				}
			})
		})
	},
	getAllRegion: function() {
		var _this = this;
		app_post(_this.dataurls.getAllRegion, {}, function(data) {
			if(data.Error == 0) {
				var floordatas = data;
				floordatas.jlstime = new Date().getTime();
				var newdata = JSON.stringify(floordatas);
				plus.storage.setItem("regionlist", newdata);
				_this.getregionview(newdata);
			}else{
				mui.alert(data.Msg);
			}
		})
	},
	onShow:function(){
		var _this=this;
		if(!_this.getshosp){
			_this.getshosp=true;
			_this.getcaozuo();
		}
	},
	onLoaded:function(){
		var _this=this;
		if(!_this.getshosp){
			_this.getshosp=true;
			_this.getcaozuo();
		}
		
	},
	onload: function() {},
	getcaozuo: function() {
		var self = plus.webview.currentWebview();
		var _this = this;
		//文本域 S
		var t = window.document.getElementsByTagName('textarea');
		for(var i = 0; i < t.length; i++) {
			var n = t[i];
			autoTextarea(n);
		}
		//文本域 E
		if(self.types == 'add') {
			_this.saveurl = _this.dataurls.addressadd;
			document.getElementById('vtitle').innerHTML = "添加地址";
			var html = template("listH", {
				listN: {},
				types: self.types
			});
			document.getElementById("list").innerHTML = html;
			_this.geton();

		} else if(self.types == 'edit') {
			_this.saveurl = _this.dataurls.addressedit;
			document.getElementById('vtitle').innerHTML = "修改地址";
			_this.getaddresscon(self.addressid);
		}

	}
})