Page({
	url: {
		collection_goods: appurls + '/eshop.collection/collection_goods_add/' + mid, //收藏商品
		view_goods: appurls + '/basic.public/view_goods/' + mid, //商品详情
		listlist: appurls + '/eshop.goods_evaluate/list_user_goods_evaluate/' + mid
	},
	getgoods: function(gid) {
		var _this = this;
		plus.nativeUI.showWaiting("", {
			"width": "80px",
			"height": "80px",
			"text-align": "center"
		});
//		var img = new Image();
		app_post(_this.url.view_goods, {
			id: gid
		}, function(data) {
			if(data.Error == 0) {
//				console.log(JSON.stringify(data));
				_this.gooddata = data.data;
				_this.getview();

			} else {
				mui.alert(data.Msg,function(){
					mui.back();
				});
			}
			setTimeout(function() {
				plus.nativeUI.closeWaiting()
			}, 300);
		});

	},
	collection_goods: function(gid) {
		var _this = this;
		app_post(_this.url.collection_goods, "&info[sign]=1&info[goods_id]=" + gid, function(data) {
			if(data.Error == 0) {
				mui.toast(data.Msg);
				if(data.data.my == 1) {
					document.getElementById('shoucV').setAttribute('class', 'iconfont icon-favorfill cored');
				} else if(data.data.my == 0) {
					document.getElementById('shoucV').setAttribute('class', 'iconfont icon-wodeshoucang');
				}
				document.getElementById('shouc').innerText = data.data.my == 1 ? '取消收藏' : '收藏'
			}
		})
	},
	getcomm: function(gid) {
		var _this = this;
		app_post(_this.url.listlist, {
			goods_id: gid,
			page: 1,
			pagesize: 10
		}, function(data) {
			if(data.Error == 0) {
				_this.common_list = data.data;

				_this.getcview();

			} else {
				mui.toast(data.Msg);
			}
		})

	},
	onload: function() {
		var self = plus.webview.currentWebview();
		var _this = this;
		document.addEventListener("netchange", function() {
			var status = plus.networkinfo.getCurrentType();
			if(status !=1){
				mui.back();
			}
		})
//		console.log(self.typev);
	},
	getview: function() {
		var self = plus.webview.currentWebview();
		var _this = this;
		if(!_this.getshows || !_this.gooddata) return;
		//		document.getElementById('showloading').style.display="none";
		//		document.getElementById('showdetails').style.display="block";
		var html = template('listH', {
			listD: _this.gooddata,
			typeV: self.typev
		});
//		console.log(self.typev);
		document.getElementById('list').innerHTML = html;
		var html2 = template('sliderH', {
			listD: _this.gooddata,
			typeV: self.typev
		});
		document.getElementById('slider').innerHTML = html2;
		if(_this.gooddata.do_lotofpic && _this.gooddata.do_lotofpic.length > 0) {
			var slider = mui("#slider");
			setTimeout(function() {
				var gallery = mui('#slider');
				gallery.slider({
					interval: 3000 //自动轮播周期，若为0则不自动播放，默认为0；
				});
			}, 500);
		} else {
			document.getElementById('slider').style.display = "none";
		}
		mui(".spxq_nav").off('tap', 'dl');
		mui(".spxq_nav").on('tap', 'dl', function() {
			var datap = this.getAttribute('data-p');
			var datar = this.getAttribute('data-r');
			var datan = this.getAttribute('data-n');
			if(datan == 'jd') {
				if(self.typev == 'boutique') {
					var bonlistd = plus.webview.getWebviewById('goods_lists');
					if(bonlistd) {
						mui.fire(bonlistd, 'searchgoods', {
							gtitle: '',
							"type": 'boutique'
						});
						mui.back();

					} else {
						var obj = _this.open(
							'../goods/index.html',
							'goods_index', {
								top: 0,
								bottom: 0
							}, {
								classid: 0,
								"type": 'boutique'
							}
						);
						if(!obj) return;
					}
				} else {
					var obj = _this.open('../store/details.html', 'store_details', {
						top: 0,
						bottom: 0
					}, {
						store_id: datar
					});

					if(!obj) return;
				}
			} else if(datan == 'sc') {
				_this.collection_goods(datar);
			} else if(datan == 'dh') {
				if(datap) {
					if(mui.os.plus) {
						plus.device.dial(datap);
					} else {
						location.href = 'tel:' + datap;
					}
				} else {
					mui.alert('该店铺没有联系方式！');
				}
			}
		})
	},
	getcview: function() {
		var self = plus.webview.currentWebview();
		var _this = this;
		if(!_this.getshows || !_this.common_list) return;
		var html = template('commH', {
			listD: _this.common_list
		});
		document.getElementById('comm').innerHTML = html;
		mui(".c0").on('tap', 'a', function() {
			var obj = _this.open(
				'../comments/index.html',
				'comments_list', {
					top: 0,
					bottom: 0
				}, {
					goodsid: self.goodsid
				}
			);
			if(!obj) return;
		})
	},
	onLoaded: function() {
		var _this = this;
		_this.getshows = true;

		_this.getview();
		_this.getcview();

	},
	onShow: function() {
		var _this = this;
		var self = plus.webview.currentWebview();
		//		var pg = {
		//			do_lotofpic:[self.goodsimg]
		//		}
		//		var ccg = {
		//			"title":self.goodstitle
		//		}
		//		var html = template('listH', {
		//			listD: ccg,
		//			typeV: self.typev
		//		});
		//		document.getElementById('list').innerHTML = html;
		//		var html2 = template('sliderH', {
		//			listD: pg,
		//			typeV: self.typev
		//		});
		//		document.getElementById('slider').innerHTML = html2;
		//		document.getElementById('x_dt').innerText = self.goodstitle;
		//		document.getElementById('x_img').src = self.goodsimg;
		_this.getshows = true;
		_this.getgoods(self.goodsid);
		_this.getcomm(self.goodsid);
		_this.getview();
		_this.getcview();

	}
});