Page({
	url: {
		mycoupon: appurls+'/eshop.layer/layer_list/'+mid
	},
	getdata: [],
	getview: function() {
		var _this = this;
		if(_this.getdata.length > 0) {
			var html = template('listH', {
				listD: _this.getdata
			});
			document.getElementById('list').innerHTML = html;
			mui("#list").on('tap', '.dtxq-str', function() {
				var map_r = this.getAttribute('data-r');
				var obj = _this.open(
					 'details.html',
					 'map_d',
					 {
						top: 0,
						bottom: 0
					},
					 {
						map_id: map_r,
						floor_name:self.floor_name
					}
				);
				if(!obj) return;
			})
			document.getElementById('refreshContainer').style.display = "block";
			document.getElementById('nonecontent').style.display = "none";
		} else {
			document.getElementById('refreshContainer').style.display = "none";
			document.getElementById('nonecontent').style.display = "block";
		}
	},
	page: 0,
	datap:{page:0,pagesize:10,search:{floor_id:'2'}},
	qingqiu: false,
	typeStatus:'available',
	allposts: function(type) {
		var _this = this;
		_this.datap.page=_this.page;
		_this.datap.pagesize=10;
		
		if(_this.qingqiu) {
			return false;
		}
		_this.qingqiu = true;
		//console.log(_this.viewshow);
		app_post(_this.url.mycoupon,_this.datap, function(data) {
			_this.qingqiu = false;
			//console.log(JSON.stringify(data));
			if(data.Error == 0) {
				_this.maxpage = data.maxpage;
				if(_this.refresh) _this.getdata = [];
				var isEnd = true;
				mui.each(data.data, function($k, $v) {
					_this.getdata.push($v);
					isEnd = false;
				});
				if(_this.page >= _this.maxpage) {
					isEnd = true;
				}

				document.getElementById('showloading').style.display = "none";
				_this.datashow = true;
				if(_this.viewshow) {
					//console.log('555');
					_this.getview();
				}
				if(type == 1) mui('#refreshContainer').pullRefresh().endPulldownToRefresh();
				if(type == 2) mui('#refreshContainer').pullRefresh().endPullupToRefresh(isEnd);
				_this.refresh = false;
			}else{
				mui.toast(data.Msg);
				mui.back();
			}
		});
	},
	onload: function() {
		var self = plus.webview.currentWebview();
		var _this = this;
		document.addEventListener("netchange", function() {
			var status = plus.networkinfo.getCurrentType();
			if(status !=1){
				_this.qingqiu = false;
				_this.viewshow = true;
				self.reload();
			}
		})
		var pullfreshFunction= function() {

			if(_this.refresh) return false;
			_this.refresh = true;
			_this.page = 1;
			_this.getdata = [];
			_this.allposts(1);
			//console.log("执行一次");
			mui('#refreshContainer').pullRefresh().endPulldownToRefresh();
			mui('#refreshContainer').pullRefresh().enablePullupToRefresh();
			mui('#refreshContainer').pullRefresh().finished = false;
		}
		var UpfreshFunction= function() {
			if(_this.refresh) {
				mui('#refreshContainer').pullRefresh().endPullupToRefresh(false);
				return false;
			}
			_this.page = _this.page + 1;
			_this.allposts(2);
		}
		mui.init({
			pullRefresh: {
				container: "#refreshContainer", //下拉刷新容器标识，querySelector能定位的css选择器均可，比如：id、.class等
				down: {
					height: 50, //可选,默认50.触发下拉刷新拖动距离,
					auto: false, //可选,默认false.自动下拉刷新一次
					contentdown: '正在刷新', //可选，在下拉可刷新状态时，下拉刷新控件上显示的标题内容
					contentover: '下拉刷新', //可选，在释放可刷新状态时，下拉刷新控件上显示的标题内容
					contentrefresh: '正在刷新', //可选，正在刷新状态时，下拉刷新控件上显示的标题内容
					callback: pullfreshFunction //必选，刷新函数，根据具体业务来编写，比如通过ajax从服务器获取新数据；
				},
				up: {
					height: 50, //可选.默认50.触发上拉加载拖动距离
					auto: true, //可选,默认false.自动上拉加载一次
					contentrefresh: "正在加载...", //可选，正在加载状态时，上拉加载控件上显示的标题内容
					contentnomore: '更多精彩，敬请期待', //可选，请求完毕若没有更多数据时显示的提醒内容；
					callback: UpfreshFunction //必选，刷新函数，根据具体业务来编写，比如通过ajax从服务器获取新数据；
				}
			}
		});
		window.addEventListener('seckillclick', function(a) {
			//console.log(a.detail.tabs);
			floor_ids = a.detail.tabs;	
			document.getElementById('showloading').style.display = "block";
			document.getElementById('refreshContainer').style.display = "none";
			_this.datap['search']={"floor_id":floor_ids};
			pullfreshFunction();
		});
	},
	onLoaded: function() {
		var _this = this;
		_this.viewshow = true;
		if(_this.datashow) {
			_this.getview();
		}
	},
	onShow: function() {
		var _this = this;
		_this.viewshow = true;
		if(_this.datashow) {
			_this.getview();
		}
	}
});