Page({
	dataurls: {
		pushcode: appurls + '/member.login/send_sms/' + mid, //发送验证码
		fogot: appurls + '/member.register/phone_verify/' + mid,
		reset_password: appurls + '/member.register/reset_password/' + mid
	},
	onload: function() {
		var self = plus.webview.currentWebview();
		
	},
	_code: function(id, o) {
		var datap = {
			phone: id
		};
		var _this = this;
		var wait = 60;
		var value = o;
		_this._time(wait, value);
		app_post(_this.dataurls.pushcode, datap, function(data) {
			document.getElementById('myCode').removeAttribute('disabled');
			if(data.Error == 0) {
				mui.toast('发送验证码成功！');

			} else if(data.Error == '6701') {
				document.getElementById('myCode').innerText = "验证码已达上线";
				document.getElementById('myCode').setAttribute('disabled', 'disabled');
				mui.alert(data.Msg);
			}
		});
	},
	_time: function(wait, value) {
		var _this = this;
		if(wait == 0) {
			document.getElementById('myCode').removeAttribute("disabled");
			document.getElementById('myCode').innerText = "获取验证码";
			wait = 60;
		} else {
			document.getElementById('myCode').setAttribute("disabled", true);
			document.getElementById('myCode').innerText = "重新发送(" + wait + ")";
			wait--;
			setTimeout(function() {
					_this._time(wait, value);
				},
				1000)
		}
	},
	bulidview: function() {
		var _this = this;
		var self = plus.webview.currentWebview();
		mui(".login_td").on('tap', '#myCode', function() {
			var phone = document.getElementById('myPhone').value;
			var code = document.getElementById("myCode");
			document.getElementById('myCode').setAttribute('disabled', 'disabled');
			if(!phone) {
				mui.alert('请输入手机号码！');
				document.getElementById('myCode').removeAttribute('disabled');
				return false;
			} else if(!(/^1[34578]\d{9}$/.test(phone))) {
				mui.alert("手机号码有误，请重填");
				document.getElementById('myCode').removeAttribute('disabled');
				return false;
			}
			document.getElementById('myCode').setAttribute('disabled', 'disabled');
			document.getElementById('myCode').innerText = "获取中......";
			_this._code(phone, code);
		});
		if(self.id == 'fogot_reset') {} else {
			document.getElementById("myPhone").addEventListener('input', function() {
				if(this.value.length == 11) {
					document.getElementById("myPhone").blur();
				}
			});
		}
		mui(".login_top").on('tap', 'a', function() {
			var prm = this.getAttribute('data-r');
			if(prm == 'close') {
				self.close();
			} else if(prm == 'register') {
				mui.openWindow({
					url: 'register.html',
					id: 'register',
					styles: {
						top: 0,
						bottom: 0
					}
				})
			}
		});
//		console.log(88);
//		console.log(JSON.stringify(_this.AppView));
		mui(".login_con").on('tap', '#mytruepwd', function() {
			if(self.id == 'fogot_reset') {

				var password1 = document.getElementById('myPassword').value;
				var password2 = document.getElementById('myPassword2').value;
				document.getElementById('mytruepwd').setAttribute('disabled', 'disabled');
				if(password1 == "") {
					mui.alert('请填写密码');
					document.getElementById('mytruepwd').removeAttribute('disabled');
					return false;
				} else if(password1 != password2) {
					mui.alert('两次输入的密码不一致');
					document.getElementById('mytruepwd').removeAttribute('disabled');
					return false;
				} else {
					password1 = hex_sha1(password1);
					password2 = hex_sha1(password2);
					var info = {
						info: {
							"account": self.phone,
							"nPassword": password1,
							"n2Password": password2,
							only: self.only
						}
					};

					app_post(_this.dataurls.reset_password, info, function(data) {
						document.getElementById('mytruepwd').removeAttribute('disabled');
						if(data.Error == 0) {
							var vid = _this.webView.id;
							//			console.log(vid);
							mui.toast('密码重置成功！')
							//发送登录事件
							setTimeout(function() {
								var ku = plus.webview.getWebviewById(self.upid);
								ku.close();
								self.close();
							}, 1000)

						} else {
							alert(data.Msg);
						}
					})
				}

			}
		})
		mui(".login_form").on('tap', '#myfogot', function() {
			var phone = document.getElementById('myPhone').value;
			var codes = document.getElementById('myCodes').value;
			document.getElementById('myfogot').setAttribute('disabled', 'disabled');
			if(phone == "") {
				mui.alert('请输入正确的手机号码');
				document.getElementById('myfogot').removeAttribute('disabled');
				return false;
			} else if(codes == '') {
				mui.alert('请填写验证码');
				document.getElementById('myfogot').removeAttribute('disabled');
				return false;
			} else {

				var info = {
					info: {
						"account": phone,
						"code": codes
					}
				};

				app_post(_this.dataurls.fogot, info, function(data) {
					document.getElementById('myfogot').removeAttribute('disabled');
					if(data.Error == 0) {
						var obj = _this.open('fogot_reset.html', 'fogot_reset', {
							top: 0,
							bottom: 0
						}, {
							only: data.only,
							phone: phone,
							upid: self.id
						})

					} else {
						mui.alert(data.Msg);
					}
				})
			}

		});

	},
	onLoaded: function() {
		var _this = this;
		if(!_this.getshows) {
			_this.getshows = true;
			if(_this.getshows) {
				_this.bulidview();
			}
		}
	},
	onShow: function() {
		var _this = this;
		if(!_this.getshows) {
			_this.getshows = true;
			if(_this.getshows) {
				_this.bulidview();
			}
		}
	}
})