Page({
	dataurls: {
		memberInfo: appurls + '/member.user/get_user_info/' + mid,
		android_store: appurls + '/eshop.subsidiary/view_android_user/' + mid,
		ios_store: appurls + '/eshop.subsidiary/view_ios_user/' + mid,
		read_count: appurls + '/basic.message/message_list_user/' + mid //标记已读
	},
	isShow: false,
	getabout: function() {
		var _this = this;
		_this.viewurl = _this.dataurls.android_store;
		if(mui.os.ios) {
			_this.viewurl = _this.dataurls.ios_store;
		}
		app_post(_this.viewurl, {}, function(data) {
			if(data.Error == 0) {
				var aboutdata = JSON.stringify(data);
				plus.storage.setItem('aboutdata', aboutdata);

			}
		})
	},
	getRead: function() {
		var _this = this;
		if(plus.storage.getItem("customer")) {
		app_post(_this.dataurls.read_count, {}, function(data) {		
			if(data.Error == 0) {
//				console.log(JSON.stringify(data));
				if(data.Unread != 0 && _this.isShow) {
					document.getElementById('readnum').style.display = "block";
					document.getElementById('readnum').innerText = data.Unread;
				}else{
					document.getElementById('readnum').style.display = "none";
					_this.readdatas=data;
				}
			}
		})
		}
	},
	onload: function() {
		var _this = this;

		_this.getData();
		_this.getRead();
		window.addEventListener('omg', function(e) {
			_this.getRead();
		});
		window.addEventListener('stores_view', function(e) {
			if(e.detail.headimg) {
				document.getElementById('taouxiang').src = e.detail.headimg;
			}
		})
		window.addEventListener('logined', function() {
			_this.gologined();
		});
		window.addEventListener('x_login', function() {
			_this.gologined();
		});
	},
	onLoaded: function() {
		var _this = this;
		_this.isShow = true;
		if(!_this.getshows){
			_this.getshows = true;
			_this.geton();
			_this.gologined();
		}
		if(_this.data && _this.getshows) {
			_this.buildPage();
		}
	},
	gologined: function() {
		var _this = this;
		_this.getabout();
		 if(mui.os.ios){
			 plus.nativeUI.showWaiting();
		}else{
			 plus.nativeUI.showWaiting("",{width:'80px',height:'80px',loading:{height:'40px'}});
		}
		app_post(_this.dataurls.memberInfo, {}, function(data) {
			if(data.Error == 0) {
				var ks = JSON.stringify(data);
				plus.storage.setItem('usermember', ks);
				_this.data = data.data;
				_this.buildPage();
			}
			setTimeout(function(){
				plus.nativeUI.closeWaiting()
			},300);
		})
	},
	getData: function() {
		var _this = this;
		_this.getabout();
		if(plus.storage.getItem("customer")) {
			app_post(_this.dataurls.memberInfo, {}, function(data) {
				if(data.Error == 0) {
					var ks = JSON.stringify(data);
					plus.storage.setItem('usermember', ks);
					_this.data = data.data;
					_this.buildPage();
				}
			})
		} else {
			_this.data = {
				headimg: '',
				nickname: '',
				level: '',
				integral: ''
			};
			_this.buildPage();
		}

	},
	onShow: function() {
		var _this = this;
		_this.isShow = true;
		var self = plus.webview.currentWebview();
		if(!_this.getshows){
			_this.getshows =  true;
			_this.geton();
			_this.gologined();
		}
		if(_this.data && _this.getshows) {
			_this.buildPage();
		}
	},
	buildPage: function() {
		var _this = this;
		var pl = plus.storage.getItem("customer");
		pl = pl ? 1 : 0;

		if(!_this.data && !_this.isShow) return;
		if(_this.data && _this.isShow) {
			var html = template('listH', {
				listD: _this.data,
				loginstatus: pl

			});
			document.getElementById('List').innerHTML = html;
		}
		mui(".x_play").on('tap', '.fr', function() {
			var datar = this.getAttribute('data-r');
			if(datar) {
				var obj = _this.open(
					datar,
					datar, {
						top: 0,
						bottom: 0
					}, {
						param: 'all'
					}
				);
				if(!obj) return;
			}
		});
		mui(".mem_topright").off('tap', 'button');
		mui(".mem_topright").on('tap', 'button', function() {
			var vid = _this.webView.id;
			//发送登录事件
			mui.fire(_this.AppView, 'login', {
				vid: vid
			});
		})
	},
	geton: function() {
		var _this = this;
		var self = plus.webview.currentWebview();
		var customer = plus.storage.getItem("customer");
		if(_this.readdatas){
			if(_this.readdatas.Unread != 0 && _this.isShow) {
				document.getElementById('readnum').style.display = "block";
				document.getElementById('readnum').innerText = _this.readdatas.Unread;
			}
		}
		mui(".caozuo").off('tap', 'span');
		mui(".caozuo").on('tap', 'span', function() {
			if(!plus.storage.getItem("customer")) {
				var vid = _this.webView.id;
				mui.fire(_this.AppView, 'login', {
					vid: vid
				});
			} else {
				var datar = this.getAttribute('data-r');

				if(datar) {
					var obj = _this.open(
						datar,
						datar, {
							top: 0,
							bottom: 0
						}, {
							upid: self.id
						}
					);
					if(!obj) return;
					obj.removeEventListener('close');
					obj.addEventListener('close', function() {
						_this.getData();
					});
				}
			}
		})
		mui(".mem_title").off('tap', '.fr');
		mui(".mem_title").on('tap', '.fr', function() {
			var datar = this.getAttribute('data-r');
			if(datar == '') {
				mui.alert('暂未开放，敬请期待');
				return false;
			}
			if(datar) {
				var obj = _this.open(
					datar,
					datar, {
						top: 0,
						bottom: 0
					}, {
						param: 'all'
					}
				);
				if(!obj) return;
			}
		});
		mui(".myorder").off('tap', 'li');
		mui(".myorder").on('tap', 'li', function() {
			var urlsd = this.getAttribute('data-r');
			var urlsc = this.getAttribute('data-c');
			var tycc = this.getAttribute('data-t');
			if(!plus.storage.getItem("customer")) {
				var vid = _this.webView.id;
				mui.fire(_this.AppView, 'login', {
					vid: vid
				});
			} else {
			if(tycc == '2') {
				mui.toast('暂未开放，敬请期待！');
				return false;
			}
			if(urlsd) {
				var obj = _this.open(
					urlsd,
					urlsd, {
						top: 0,
						bottom: 0
					}, {
						param: urlsc
					}
				);
				if(!obj) return;
			}
			}
		})
		mui(".mem_man").off('tap', 'li');
		mui(".mem_man").on('tap', 'li', function() {
			var customer = plus.storage.getItem("customer");
			var navtypeurl = this.getAttribute('data-r');
			var type = this.getAttribute('data-t');
			if(type == '2') {
				mui.toast('暂未开放，敬请期待！');
				return false;
			}
			if(customer) {
//				console.log(999999999999999999);
//				console.log(navtypeurl);
				if(navtypeurl) {
					var obj = _this.open(
						navtypeurl,
						navtypeurl, {
							top: 0,
							bottom: 0
						}
					);
//					console.log(obj);
					if(!obj) return;
				}
			} else {
				var vid = _this.webView.id;
				mui.fire(_this.AppView, 'login', {
					vid: vid
				});
			}
			
		})
	}
});