Page({
	dataurls: {
		listlist: appurls + '/basic.message/message_list_user/' + mid,
		details: appurls + '/basic.message/mark/' + mid //标记已读
	},
	webview: null,
	data: {
		imgList: null,
		isShow: false,
		datap: {
			"page": 1,
			"pagesize": 10
		}
	},
	onload: function() {
		
		document.addEventListener("netchange", function() {
			var status = plus.networkinfo.getCurrentType();
			if(status !=1){
				mui.back();
			}
		})
	},
	buildList: function(o) {
	
		document.getElementById('refreshContainer').style.display="block";
		document.getElementById('nonecontent').style.display="none";
		var _this = this;
		if(!_this.data.imgList || !_this.data.isShow) return;
		//console.log(o);
		var html = template('listH', {
			listD: _this.data.imgList,
			bfb: function(k) {
				var ks = parseFloat(k).toFixed(2);
				ks = ks * 100;
				ks = parseFloat(ks / 5).toFixed(2);
				return ks;
			}
		});
		document.getElementById('List').innerHTML = o == 'd' ? html : document.getElementById('List').innerHTML + html;
		var self = plus.webview.currentWebview();	
		mui('header').on('tap','.x_we',function(){
			if(self.upid){
			var qg = plus.webview.getWebviewById(self.upid);
			 mui.fire(qg,'omg',{});
			}
			 self.hide();
		});
		if(o == 'd' || o == 'u'){
			document.getElementById('nonecontent').style.display="none";
		}else{
			if(_this.data.imgList.length<1){
				document.getElementById('refreshContainer').style.display="none";
				document.getElementById('nonecontent').style.display="block";
			}
		}
		if(document.getElementById('List').innerHTML == ''){
			document.getElementById('refreshContainer').style.display="none";
			document.getElementById('nonecontent').style.display="block";
		}
		_this.data.imgList = [];
		_this.buildPull();
	},
	buildPull: function() {
		var _this = this;
		if(_this.data.isPull) return;

		function downData() {
			_this.getData('d');
		}

		function upData() {
			_this.data.datap.page = _this.data.datap.page + 1;
			_this.getData('u');
		}
		mui.init({
			pullRefresh: {
				container: "#refreshContainer", //下拉刷新容器标识，querySelector能定位的css选择器均可，比如：id、.class等
				down: {
					height: 50, //可选,默认50.触发下拉刷新拖动距离,
					auto: false, //可选,默认false.自动下拉刷新一次
					contentdown: "下拉可以刷新", //可选，在下拉可刷新状态时，下拉刷新控件上显示的标题内容
					contentover: "释放立即刷新", //可选，在释放可刷新状态时，下拉刷新控件上显示的标题内容
					contentrefresh: "正在刷新...", //可选，正在刷新状态时，下拉刷新控件上显示的标题内容
					callback: downData //必选，刷新函数，根据具体业务来编写，比如通过ajax从服务器获取新数据；
				},
				up: {
					height: 50, //可选.默认50.触发上拉加载拖动距离
					auto: false, //可选,默认false.自动上拉加载一次
					contentrefresh: "正在加载...", //可选，正在加载状态时，上拉加载控件上显示的标题内容
					contentnomore: '没有更多数据了', //可选，请求完毕若没有更多数据时显示的提醒内容；
					callback: upData //必选，刷新函数，根据具体业务来编写，比如通过ajax从服务器获取新数据；
				}
			}
		});
		_this.data.isPull = true;
		_this.onGO();
	},
	getData: function(o) {
		//console.log('获取数据');
		var _this = this;
		if(o == 'd') {
			_this.data.datap.page = 1;
		}
		//console.log(_this.data.datap.page)
		if(_this.data.maxpage && o == 'u') {
			//console.log(_this.data.maxpage + "最大页数")
			if(_this.data.datap.page > _this.data.maxpage) {
				//console.log("超出页数了！！！！！");
				mui('#refreshContainer').pullRefresh().endPullupToRefresh(true);
				return false;
			}; 
		}
		 if(mui.os.ios){
			 plus.nativeUI.showWaiting();
		}else{
			 plus.nativeUI.showWaiting("",{width:'80px',height:'80px',loading:{height:'40px'}});
		}
		app_post(_this.dataurls.listlist, _this.data.datap, function(data) {
			if(o == 'd') {
				mui('#refreshContainer').pullRefresh().endPulldownToRefresh();
				mui('#refreshContainer').pullRefresh().enablePullupToRefresh();
			}
			if(o == 'u') {
				mui('#refreshContainer').pullRefresh().endPullupToRefresh();
			}
			//console.log("请求了");
			if(data.Error == 0) {
				//console.log(data)
				_this.data.imgList = data.data;
				if(data.data.length > 0) {
					_this.data.maxpage = data.maxpage;
				} else {
					if(o == 'd' || o == 'u') {
						mui('#refreshContainer').pullRefresh().disablePullupToRefresh();
					}else{
						document.getElementById('nonecontent').style.display="block";
					}
				}
				_this.buildList(o);
				//console.log("第二次build");
			} else {
				plus.nativeUI.toast('数据载入错误', {
					verticalAlign: 'bottom'
				});
			}
				setTimeout(function(){
				plus.nativeUI.closeWaiting()
			},300);
		})
	},
	onRead:function(id){
		var _this = this;
		app_post(_this.dataurls.details,{"ids[0]":id}, function(data) {
			if(data.Error == 0){
//				console.log(JSON.stringify(data));
				document.getElementById('rea_point_'+id).className = '';
			}
		})
	},	
	onGO:function(){
		var _this = this;
		var self = plus.webview.currentWebview();
		mui("#List").on("tap",".mes-tb",function(){
			var text = this.getAttribute('data-r'),
			id = this.getAttribute('data-id'),
			read_status = this.getAttribute('data-d'),
			t = document.getElementById('class_tab_'+id),
			i = document.getElementById('i_tab_'+id),
			w = document.getElementById('mes_tab_'+id),
			status = null;
			t.className = '';
			i.className = '';
			//console.log("当前未读状态"+read_status);
			if(text == '展开'){
				status = '收起';
				t.className = 'mes-nr';
				i.className = 'mui-icon mui-icon-arrowup';
				if(read_status == 0){
					_this.onRead(id);
				
					
				}
			}else{
				status = '展开';
				t.className = 'mes-nr mui-ellipsis';
				i.className = 'mui-icon mui-icon-arrowdown';
			}
			this.setAttribute('data-r',status);
			w.innerHTML = status;
			
		})
		mui.back=function(){
			var viewup=plus.webview.getWebviewById(self.upid);
			mui.fire(viewup, 'mes_tab');
			self.close();
		}
	},
	onLoaded: function() {
		var _this = this;
		_this.data.isShow = true;
//		_this.buildList("d");
		
		//console.log("渲染完成");
	},
	onShow: function() {
		var _this = this;
		_this.getData();
	}
})