Page({
	dataurls: {
		listlist: appurls + '/basic.transaction/order_self_list_user/' + mid, //我的订单
		cancel_order: appurls + '/basic.transaction/cancel_order/' + mid, //取消订单
		confirm_receiving: appurls + '/basic.transaction/confirm_receiving/' + mid, //确认收货
		apply_refund: appurls + '/basic.refund/apply_refund/' + mid, //申请退款
		cancel_refund: appurls + '/basic.transaction/cancel_refund/' + mid, //取消退款申请
		del_order: appurls + '/basic.transaction/del_order/' + mid //删除订单

	},
	geton: function() {
		var _this = this;
		var html = template('listH', {
			listD: _this.webAppdata
		});

		document.getElementById('list').innerHTML = html;
		
		mui("#list").off('tap', '.x_xx');
		mui("#list").on('tap', '.x_xx', function() {
			var sid = this.getAttribute('data-r');
	
			_this.orderdetails.show('slide-in-right',400)
			mui.fire(_this.orderdetails,'seedeorder',{
				orderid: sid
			});
			
		})
		mui(".operation").off('tap', 'span');
		mui(".operation").on('tap', 'span', function() {
			var orderids = this.getAttribute('data-id');
			var ordertypes = this.getAttribute('data-r');
			switch(ordertypes) {
				case 'cancel':
					_this.cancel_order(orderids);
					break;
				case 'pay':
					_this.pay_order(orderids);
					break;
				case 'del':
					_this.del_order(orderids);
					break;
				case 'evaluate':
					_this.evaluate_order(orderids);
					break;
				case 'harvest':
					_this.harvest_order(orderids);
					break;
				case 'refund':
					_this.refund_order(orderids);
					break;
				case 'verification':
					_this.verification(orderids);
				break;
				
			}
		})

	},
	verification: function(order_id) {
		var _this = this;
		mui.fire(_this.orderhxsettlement,'verificationshow',{order_id:order_id});
		_this.orderhxsettlement.show('slide-in-right', 400);
	},
	cancel_order: function(orderid) {
		var _this = this;
		app_post(_this.dataurls.cancel_order, {
			id: orderid
		}, function(data) {
			if(data.Error == 0) {
				for(var i in _this.webAppdata) {
					if(_this.webAppdata[i].id == orderid) {
						_this.webAppdata[i].do_status_ident = 7;
						_this.webAppdata[i].do_status = '交易关闭';
						break;
					}
				}

				mui.toast('订单已取消');
				_this.geton();
			} else {
				mui.alert(data.Msg, '');
			}
		})
	},
	pay_order: function(orderid) {
		var _this = this;
//		var obj  = _this.open(
//			 'order_details.html',
//			'order_details',
//			 {
//				top: 0,
//				bottom: 0
//			},
//			 {
//				o_status: 1,
//				orderid: orderid
//			}
//		);
//		if(!obj) return;
		_this.orderdetails.show('slide-in-right', 400)
		mui.fire(_this.orderdetails, 'seedeorder', {
			orderid: orderid
		});
	},
	del_order: function(orderid) {
		var _this = this;
		var btnArray = ['确定', '取消'];
		mui.confirm('删除之后不可恢复', '确定删除订单？', btnArray, function(e) {
			if(e.index == 1) {

			} else {

				app_post(_this.dataurls.del_order, {
					id: orderid
				}, function(data) {
					if(data.Error == 0) {

						for(var i in _this.webAppdata) {
							if(_this.webAppdata[i].id == orderid) {
								var index = _this.webAppdata.indexOf(_this.webAppdata[i]);
								if(index > -1) {
									_this.webAppdata.splice(index, 1);
								}
								break;
							}
						}
						_this.geton();
						mui.toast('订单删除成功！');

					} else {
						mui.alert(data.Msg);
					}
				})
			}
		})

	},
	evaluate_order: function(orderid) {
		var _this = this;
//		var obj  = _this.open(
//			 'order_details.html',
//			'order_details',
//			 {
//				top: 0,
//				bottom: 0
//			},
//			 {
//				o_status: 1,
//				orderid: orderid
//			}
//		);
//		if(!obj) return;
		_this.orderdetails.show('slide-in-right', 400)
		mui.fire(_this.orderdetails, 'seedeorder', {
			orderid: orderid
		});
	},
	harvest_order: function(orderid) {
		var _this = this;
		var btnArray = ['确定', '取消'];
		mui.confirm('是否确认收货', '确认收货？', btnArray, function(e){
			if(e.index == 1) {

			}else{
		app_post(_this.dataurls.confirm_receiving, {
			id: orderid
		}, function(data) {
			if(data.Error == 0) {
				for(var i in _this.webAppdata) {
					if(_this.webAppdata[i].id == orderid) {
						_this.webAppdata[i].do_status_ident = 4;
						_this.webAppdata[i].do_status = '已收货';
						break;
					}
				}
				mui.toast('确认收货成功');
				_this.geton();
			} else {
				mui.alert(data.Msg, '');
			}
		})
			}
		})

	},
	refund_order: function(orderid, details_id, prices) {
		var _this = this;
//		var obj  = _this.open(
//			 'order_details.html',
//			'order_details',
//			 {
//				top: 0,
//				bottom: 0
//			},
//			 {
//				o_status: 1,
//				orderid: orderid
//			}
//		);
//		if(!obj) return;
		_this.orderdetails.show('slide-in-right', 400)
		mui.fire(_this.orderdetails, 'seedeorder', {
			orderid: orderid
		});
		//		var btnArray = ['确定', '取消'];
		//		mui.confirm('申请退款后请耐心等待审核', '确定申请退款？', btnArray, function(e) {
		//			if(e.index == 1) {
		//
		//			} else {
		//			app_post(_this.dataurls.apply_refund, {
		//			order_id: orderid,detail_id:details_id,reason:0,fee:prices
		//		}, function(data) {
		//			if(data.Error == 0) {
		//				for(var i in _this.webAppdata) {
		//					if(_this.webAppdata[i].id == orderid) {
		//						_this.webAppdata[i].do_status_ident = 4;
		//						_this.webAppdata[i].do_status = '取消退款';
		//						break;
		//					}
		//				}
		//				mui.toast('退款申请成功');
		//				_this.geton();
		//			} else {
		//				mui.alert(data.Msg, '');
		//			}
		//		})
		//			}
		//		})

	},
	webAppdata: [],
	getparm: {
		page: 1,
		pagesize: 10
	},
	maxpage: 0,
	orderdetails:{},
	pingjia:{},
	onload: function() {
		var self = plus.webview.currentWebview();
		var _this = this;
		document.addEventListener("netchange", function() {
			var status = plus.networkinfo.getCurrentType();
			if(status !=1){
				self.reload();
			}
		})
		window.addEventListener('omg',function(e){
		_this.getpostv(1);	
		});
		switch(self.param) {
				case 'all':
					_this.getparm.search = {};
					break;
				case 'pay_status':
					_this.getparm.search = {
						whole_status: 1
					};
					break;
				case 'send_status':
					_this.getparm.search = {
						send_status: 0,
						whole_status: 2
					};
					break;
				case 'wait':
					_this.getparm.search = {
						order_status_all: 0
					};
					break;  
			}
		_this.getpostv();
		window.addEventListener('evasuccess',function(e){
			var oid =e.detail.orderid;
			document.getElementById('k_'+oid).style.display="none";
			
		});
		_this.orderhxsettlement = mui.preload({
			url: 'settlement.html',
			id: 'orderhx_settlement', //默认使用当前页面的url作为id
			styles: {top:0,bottom:0,background:'transparent'}, //窗口参数
			extras: {order_id:''} //自定义扩展参数
		});
	},
	getviews: function(n) {
		var _this = this;
		// 有数据是关闭没有数据的页面提示  并且渲染模版
		
		_this.geton();
		var isEnd = false
		if(_this.getparm.page >= _this.maxpage) {
			isEnd = true;
		}

		if(n) {
			if(n == 1) mui('#refreshContainer').pullRefresh().endPulldownToRefresh();
			if(n == 2) mui('#refreshContainer').pullRefresh().endPullupToRefresh(isEnd);
			if(n==3){
				setTimeout(function() {
				document.getElementById('showloading').style.display = "none";
				document.getElementById('refreshContainer').style.display = "block";
//				document.getElementById('jinliloading').style.display = "none";

				if(_this.webAppdata.length > 0) {
					document.getElementById('nonecontent').style.display = "none";
					document.getElementById('refreshContainer').style.display = "block";
				} else {
					// 没有数据显示的内容
					document.getElementById('nonecontent').style.display = "block";
					document.getElementById('refreshContainer').style.display = "none";
				}
			}, 200)
			}
		} else {
			setTimeout(function() {
				document.getElementById('showloading').style.display = "none";
				document.getElementById('refreshContainer').style.display = "block";

				if(_this.webAppdata.length > 0) {
					document.getElementById('nonecontent').style.display = "none";
					document.getElementById('refreshContainer').style.display = "block";
				} else {
					// 没有数据显示的内容
					document.getElementById('nonecontent').style.display = "block";
					document.getElementById('refreshContainer').style.display = "none";
				}
			}, 200);
			_this.getupload();
		}
		
	},
	getpostv: function(n) {
		var _this = this;

		app_post(_this.dataurls.listlist, _this.getparm, function(data) {
//			console.log(JSON.stringify(data));
			if(data.Error == 0) {
				if(n==1){
					_this.webAppdata=[];
				}
				mui.each(data.data, function($k, $v) {
						_this.webAppdata.push($v);
					});
				_this.maxpage = data.maxpage;
				if(n) {
					_this.getviews(n);
				} else {
					_this.getviews();
				}

			} else {
				mui.alert(data.Msg);
			}
		});

	},
	getupload: function() {
		var _this = this;

		function pullfreshFunction() {
			_this.getparm.page = 1;
			_this.webAppdata=[];
			_this.getpostv(1);
			mui('#refreshContainer').pullRefresh().endPulldownToRefresh();
			mui('#refreshContainer').pullRefresh().enablePullupToRefresh();
			mui('#refreshContainer').pullRefresh().finished = false;
		};

		function UpfreshFunction() {
			if(_this.maxpage == 1) {
				mui('#refreshContainer').pullRefresh().endPullupToRefresh(true)
				return false;
			}
			_this.getparm.page = _this.getparm.page + 1;
			_this.getpostv(2);
		}
		mui.init({
			pullRefresh: {
				container: "#refreshContainer", //下拉刷新容器标识，querySelector能定位的css选择器均可，比如：id、.class等
				down: {
					height: 50, //可选,默认50.触发下拉刷新拖动距离,
					auto: false, //可选,默认false.自动下拉刷新一次
					contentdown: '正在刷新', //可选，在下拉可刷新状态时，下拉刷新控件上显示的标题内容
					contentover: '下拉刷新', //可选，在释放可刷新状态时，下拉刷新控件上显示的标题内容
					contentrefresh: '正在刷新', //可选，正在刷新状态时，下拉刷新控件上显示的标题内容
					callback: pullfreshFunction //必选，刷新函数，根据具体业务来编写，比如通过ajax从服务器获取新数据；
				},
				up: {
					height: 50, //可选.默认50.触发上拉加载拖动距离
					auto: false, //可选,默认false.自动上拉加载一次
					contentrefresh: "正在加载...", //可选，正在加载状态时，上拉加载控件上显示的标题内容
					contentnomore: '更多精彩，敬请期待', //可选，请求完毕若没有更多数据时显示的提醒内容；
					callback: UpfreshFunction //必选，刷新函数，根据具体业务来编写，比如通过ajax从服务器获取新数据；
				}
			}
		});
	},
	onLoaded: function() {
		var _this = this;
		var self = plus.webview.currentWebview();
		_this.orderdetails = mui.preload({
						url: 'order_details.html',
						id: 'order_details',
						styles: {
							top: 0,
							bottom: 0
						},
						extras: {
							upid: self.id
						}
					});
		_this.pingjia = mui.preload({
						url: 'pingjia.html',
						id: 'order_pingjia',
						styles: {
							top: 0,
							bottom: 0
						},
						extras: {
							upid:self.id	
						}
					});
		window.addEventListener('ppap',function(){
			_this.getparm.page = 1;
			_this.webAppdata = [];
			_this.getpostv(1);
		});
		window.addEventListener('searchorder', function(event) {
			switch(event.detail.searchvalue) {
				case 'all':
					_this.getparm.search = {};
					break;
				case 'pay_status':
					_this.getparm.search = {
						whole_status: 1
					};
					break;
				case 'send_status':
					_this.getparm.search = {
						send_status: 0,
						whole_status: 2
					};
					break;
				case 'wait':
					_this.getparm.search = {
						order_status_all: 0
					};
					break;  
			}

			document.getElementById('showloading').style.display = "block";
			_this.getparm.page = 1;
			_this.webAppdata=[];
			_this.getpostv(3);
			mui('#refreshContainer').pullRefresh().endPulldownToRefresh();
			mui('#refreshContainer').pullRefresh().enablePullupToRefresh();
			mui('#refreshContainer').pullRefresh().finished = false;
			window.removeEventListener('order_pay', function(event) {});
		});
	}

})