Page({
	dataurls: {
		details: appurls + '/basic.transaction/order_view_user/' + mid,
		cancel_order: appurls + '/basic.transaction/cancel_order/' + mid, //取消订单
		confirm_receiving: appurls + '/basic.transaction/confirm_receiving/' + mid, //确认收货
		apply_refund: appurls + '/basic.refund/apply_refund/' + mid, //申请退款
		cancel_refund: appurls + '/basic.refund/cancel_refund/' + mid, //取消退款申请
		del_order: appurls + '/basic.transaction/del_order/' + mid, //删除订单
		topay: appurls + '/basic.transaction/pay/' + mid //pay
	},
	getshoju: function(orderid) {
		var _this = this;
		var self = plus.webview.currentWebview();
		if(mui.os.ios){
				 plus.nativeUI.showWaiting("");
			}else{
			 plus.nativeUI.showWaiting("",{width:'80px',height:'80px',loading:{height:'40px'}});
			}
		app_post(_this.dataurls.details, {
			id: orderid
		}, function(data) {

			if(data.Error == 0) {
				var html = template('listH', {
					listN: data.data,
					typetab: self.id
				});
				
				document.getElementById('list').innerHTML = html;
		mui('header').on('tap','.x_we',function(){
			
			 var qg = plus.webview.getWebviewById(self.upid);
			 mui.fire(qg,'omg',{});
			 self.hide();
		});
				mui(".ordertabs").off('tap','dl');
				mui(".ordertabs").on('tap','dl',function(){
					var id = this.getAttribute('data-r');
					var table = this.getAttribute('data-t');
					if(id!=0){
						var obj  = _this.open(
					 '../seckill/details.html',
					'details',
						 {
							top: 0,
							bottom: 0
						},
						 {
					goodsid: id,
					titles: '商品详情',
					typev: table
					}
					);
					if(!obj) return;
					}
					
				});
				mui(".operation").off('tap', 'span');
				mui(".operation").on('tap', 'span', function() {
					var orderids = this.getAttribute('data-id');
					var details_id = this.getAttribute('data-detail');
					var prices = this.getAttribute('data-price');
					var ordertypes = this.getAttribute('data-r');
					//console.log(ordertypes);
					switch(ordertypes) {
						case 'cancel':
							_this.cancel_order(orderids);
							break;
						case 'pay':
							_this.pay_order(orderids, prices);
							break;
						case 'del':
							_this.del_order(orderids);
							break;
						case 'evaluate':
							_this.evaluate_order(orderids);
							break;
						case 'harvest':
							_this.harvest_order(orderids);
							break;
						case 'refund':
							_this.refund_order(orderids, details_id, prices);
							break;
						case 'cancel_refund':
							_this.cancel_refund_order(orderid, details_id);
							break;
						case 'verification':
							_this.verification(orderids);
							break;
					}
				})
			}
			setTimeout(function(){
				plus.nativeUI.closeWaiting()
			},300);
		})

	},
	verification: function(order_id) {
		var _this = this;
		mui.fire(_this.orderhxsettlement,'verificationshow',{order_id:order_id});
		_this.orderhxsettlement.show('slide-in-right', 400);
	},
	evaluate_order: function(orderid) {
		var _this = this;
		var self = plus.webview.currentWebview();
		_this.pingjia.show('slide-in-right', 400)
		mui.fire(_this.pingjia, 'seedpingjia', {
			orderid: orderid,
			upid:self.id
		});
	},
	harvest_order: function(orderid) {
		var _this = this;
		var btnArray = ['确定', '取消'];
		mui.confirm('是否确认收货', '确认收货？', btnArray, function(e) {
			if(e.index == 1) {

			} else {
				app_post(_this.dataurls.confirm_receiving, {
					id: orderid
				}, function(data) {
					if(data.Error == 0) {
						mui.toast('确认收货成功');
						_this.getshoju(orderid);
					} else {
						mui.alert(data.Msg, '');
					}
				})
			}
		})

	},
	refund_order: function(orderid, details_id, prices) {
		var _this = this;
		var btnArray = ['确定', '取消'];
		mui.confirm('申请退款后请耐心等待审核', '确定申请退款？', btnArray, function(e) {
			if(e.index == 1) {

			} else {
				app_post(_this.dataurls.apply_refund, {
					order_id: orderid,
					detail_id: details_id,
					reason: 0,
					fee: prices
				}, function(data) {
					if(data.Error == 0) {
						mui.toast('退款申请成功');
						_this.getshoju(orderid);
					} else {
						mui.alert(data.Msg, '');
					}
				})
			}
		})
	},
	del_order: function(orderid) {
		var _this = this;
		var btnArray = ['确定', '取消'];
		mui.confirm('删除之后不可恢复', '确定删除订单？', btnArray, function(e) {
			if(e.index == 1) {} else {
				app_post(_this.dataurls.del_order, {
					id: orderid
				}, function(data) {
					if(data.Error == 0) {
						mui.back();
						mui.toast('订单删除成功！');
					} else {
						mui.alert(data.Msg);
					}
				})
			}
		})

	},
	cancel_order: function(orderid) {
		var _this = this;
		app_post(_this.dataurls.cancel_order, {
			id: orderid
		}, function(data) {
			if(data.Error == 0) {
				mui.toast('订单已取消');
				_this.getshoju(orderid);
			} else {
				mui.alert(data.Msg, '');
			}
		})
	},

	pay_order: function(orderid, prices) {
		var _this = this;
		document.getElementById('fixpayshow').style.display = "block";
		document.getElementById('truemoney').innerText = prices;
		_this.go_order(orderid);
	},
	go_order: function(orderids) {
		var _this = this;
		var pp = orderids;
		mui(".fixpay").off('tap', 'button');
		mui(".fixpay").on('tap', 'button', function() {
			document.getElementById('payu').setAttribute('disabled', 'disabled');
			var bth = ['确定','取消'];
			mui.confirm('确认立即付款吗？','温馨提示',bth,function(e){
				if(e.index == 1){
				document.getElementById('payu').removeAttribute('disabled');	
				}else{
					plus.nativeUI.showWaiting("正在支付中",{ padding:'6%',loading:{height:'70px'}});		
				app_post(_this.dataurls.topay, "&ids[]=" + orderids + "&pay_type=yepay", function(data) {
				document.getElementById('payu').removeAttribute('disabled');
				if(data.Error == 0) {
					//console.log('－－－－－－＊＊＊＊＊＊＊＊5555555');
					plus.nativeUI.closeWaiting();
					mui.toast('支付成功');
					document.getElementById('fixpayshow').style.display = "none";
					_this.getshoju(pp);
				} else {
					plus.nativeUI.closeWaiting();
					mui.alert(data.Msg);
				}
			})
				}
			})


		});

		mui(".fixpay_cons h2").off('tap', 'span');
		mui(".fixpay_cons h2").on('tap', 'span', function() {
			document.getElementById('fixpayshow').style.display = "none";
		})
	},
	cancel_refund_order: function(orderid, details_id) {
		var _this = this;
//		console.log(details_id);
		var btnArray = ['确定', '取消'];
		mui.confirm('取消申请后不能再次提交申请退款', '确定取消申请退款吗？', btnArray, function(e) {
			if(e.index == 1) {

			} else {
				app_post(_this.dataurls.cancel_refund, {
					order_id: orderid,
					detail_id: details_id
				}, function(data) {
					if(data.Error == 0) {
						mui.toast('取消申请成功');
						_this.getshoju(orderid);
					} else {
						mui.alert(data.Msg, '');
					}
				})
			}
		})
	},
	onload: function() {
		var self = plus.webview.currentWebview();
		var _this = this;

		setTimeout(function() {
			var viewh = plus.webview.getWebviewById(self.upids);
			if(viewh) {
				viewh.close('slide-in-left');
			}

		}, 20)

		window.addEventListener('seedeorder', function(event) {
			_this.getshoju(event.detail.orderid);
		});
		_this.orderhxsettlement = mui.preload({
			url: 'settlement.html',
			id: 'orderhx_settlement', //默认使用当前页面的url作为id
			styles: {top:0,bottom:0,background:'transparent'}, //窗口参数
			extras: {order_id:''} //自定义扩展参数
		});
		

	},
	getvdatas: function() {
		var self = plus.webview.currentWebview();
		var _this = this;
		window.addEventListener('ggc', function(e) {
			
			_this.getshoju(e.detail.orderid);
		})
		_this.pingjia = mui.preload({
			url: 'pingjia.html',
			id: 'order_pingjia',
			styles: {
				top: 0,
				bottom: 0
			},
			extras: {
				upid: self.id
			}
		});
		if(self.orderid) {
			_this.getshoju(self.orderid);
		}
	},
	onLoaded: function() {
		var _this = this;
		if(!_this.getshows) {
			_this.getshows = true;
			if(_this.getshows) {
				_this.getvdatas();
			}
		}

	},
	onShow: function() {
		var _this = this;
		if(!_this.getshows) {
			_this.getshows = true;
			if(_this.getshows) {
				_this.getvdatas();
			}
		}

	}
})