function drawRouletteWheel() {   
	
  var canvas = document.getElementById("wheelcanvas");    
  if (canvas.getContext) {
	  //根据奖品个数计算圆周角度
	  var arc = Math.PI / (turnplate.restaraunts.length/2);
//	  console.log(arc);
	  var ctx = canvas.getContext("2d");
	  //在给定矩形内清空一个矩形
	  ctx.clearRect(0,0,350,350);
	  //strokeStyle 属性设置或返回用于笔触的颜色、渐变或模式  
	  ctx.strokeStyle = "#eb6464";
	  //font 属性设置或返回画布上文本内容的当前字体属性
	  ctx.font = 'bold 18px Microsoft YaHei';      
	  for(var i = 0; i < turnplate.restaraunts.length; i++) {       
		  var angle = turnplate.startAngle + i * arc;		 
		  ctx.fillStyle = turnplate.colors[i];
		  ctx.beginPath();
		  //arc(x,y,r,起始角,结束角,绘制方向) 方法创建弧/曲线（用于创建圆或部分圆）    
		  ctx.arc(220,220, turnplate.outsideRadius, angle, angle + arc, false);    
		  ctx.arc(220,220, turnplate.insideRadius, angle + arc, angle, true);
		  ctx.stroke();  
		  ctx.fill();
		  // ctx.drawImage();
		  //锁画布(为了保存之前的画布状态)
		  ctx.save();

		  //改变画布文字颜色
		  var b = i+2;
		  if(b%2){
		  	 ctx.fillStyle = "#eb6464";
		  	}else{
		  	 ctx.fillStyle = "#fd8181";
		  	};
		  
		  //----绘制奖品开始----
		 	// drawImage
		  	  	  
		  var imgs = turnplate.restaraunts[i].img;
		  var test = turnplate.restaraunts[i].text;
		 // console.log(-ctx.measureText(test).width);
//		  var text = turnplate.restaraunts[i].text;
		  var line_height = 17;
		  //translate方法重新映射画布上的 (0,0) 位置
		  ctx.translate(220 + Math.cos(angle + arc / 2) * turnplate.textRadius, 220 + Math.sin(angle + arc / 2) * turnplate.textRadius);
		  
		  //rotate方法旋转当前的绘图
		  ctx.rotate(angle + arc / 2 + Math.PI / 2);
		  var b = new Image();
			  b.src = imgs;
//			  text = text.substring(0,8)+"||"+text.substring(8);
//				var texts = text.split("||");
//				  for(var j = 0; j<texts.length; j++){
////					   ctx.drawImage(texts[j], -ctx.measureText(texts[j]).width / 2, j * line_height);
////						  ctx.drawImage(b,-ctx.measureText(texts[j]).width / 0.55, j * line_height);
//					
//				  }
			if(test.length >8){
				ctx.drawImage(b, -ctx.measureText(test).width / 4.4, -28,60,60);
			}else{
				ctx.drawImage(b, -ctx.measureText(test).width / 4.4, -28,27,90);
			}
			
		  /** 下面代码根据奖品类型、奖品名称长度渲染不同效果，如字体、颜色、图片效果。(具体根据实际情况改变) **/
			  // if(text.indexOf("盘")>0){//判断字符进行换行
				 //  var texts = text.split("盘");
				 //  for(var j = 0; j<texts.length; j++){
					//   ctx.font = j == 0?'bold 20px Microsoft YaHei':'bold 18px Microsoft YaHei';
					//   if(j == 0){
					// 	  ctx.fillText(texts[j]+"盘", -ctx.measureText(texts[j]+"盘").width / 2, j * line_height);
					//   }else{
					// 	  ctx.fillText(texts[j], -ctx.measureText(texts[j]).width / 2, j * line_height*1.2); //调整行间距
					//   }
				 //  }
			  // }else if(text.indexOf("盘") == -1 && text.length>8){//奖品名称长度超过一定范围 
				 //  text = text.substring(0,8)+"||"+text.substring(8);
				 //  var texts = text.split("||");
				 //  for(var j = 0; j<texts.length; j++){
					//   ctx.fillText(texts[j], -ctx.measureText(texts[j]).width / 2, j * line_height);
				 //  }
			  // }else{
			  		
				 //  //在画布上绘制填色的文本。文本的默认颜色是黑色
	 
				 //  //measureText()方法返回包含一个对象，该对象包含以像素计的指定字体宽度
				 //  ctx.fillText(text, -ctx.measureText(text).width / 2, 0);
			  // }
			  
//			  if(text.indexOf("盘")>0){//判断字符进行换行
//				  var texts = text.split("盘");
//				  
//				  for(var j = 0; j<texts.length; j++){
////				  	 b.src = '../play/static/images/cyry.png';
//					  ctx.font = j == 0?'bold 20px Microsoft YaHei':'bold 18px Microsoft YaHei';
//
//					  if(j == 0){
//						  ctx.drawImage(b,-ctx.measureText(texts[j]).width / 2, j * line_height*1.2)
//					  }else{
//						  // ctx.drawImage(texts[j], -ctx.measureText(texts[j]).width / 2, j * line_height*1.2); //调整行间距
//						  ctx.drawImage(b,-ctx.measureText(texts[j]).width / 2, j * line_height*1.2);
//
//					  }
//				  }
//			  }else if(text.indexOf("盘") == -1 && text.length>8){//奖品名称长度超过一定范围 
//				  text = text.substring(0,8)+"||"+text.substring(8);
//				  var texts = text.split("||");
//				  for(var j = 0; j<texts.length; j++){
//					  // ctx.drawImage(texts[j], -ctx.measureText(texts[j]).width / 2, j * line_height);
//						  ctx.drawImage(b,-ctx.measureText(texts[j]).width / 0.55, j * line_height);
//
//				  }
//			  }else{
//			  		
//				  //在画布上绘制填色的文本。文本的默认颜色是黑色
//	 				b.src = '../play/static/images/cyry.png';
//				  //measureText()方法返回包含一个对象，该对象包含以像素计的指定字体宽度
//				 
//			  }
		  //把当前画布返回（调整）到上一个save()状态之前 
		  ctx.restore();
		  //----绘制奖品结束----
	  }     
  } 
};
