Page({
	url: {
		collection_store: appurls + '/eshop.collection/collection_store_add/' + mid, //店铺详情
		store_view: appurls + '/eshop.wastore/wastore_view/' + mid, //店铺详情
		list_goods_store: appurls + '/basic.public/list_goods_store/' + mid //店铺详情中的商品

	},
	getcontent: function(store_id) {
		var _this = this;
		  if(mui.os.ios){
			 plus.nativeUI.showWaiting();
		}else{
			 plus.nativeUI.showWaiting("",{width:'80px',height:'80px',loading:{height:'40px'}});
		}
		app_post(_this.url.store_view, {
			id: store_id
		}, function(data) {
			if(data.Error == 0) {
				
				plus.storage.setItem('mapstroes_'+store_id,JSON.stringify(data));
				document.getElementById('showloading').style.display="none";
				document.getElementById('refreshContainer').style.display="block";
				var html = template('store_v', {
					listD: data.data
				});
				document.getElementById('store_c').innerHTML = html;
				mui(".dp2_connect").on('tap','.dp2_dian_r',function(){
					var datar = this.getAttribute('data-r');
					//console.log(datar);
					app_post(_this.url.collection_store, "&info[shopid]="+datar,function(data){
						if(data.Error == 0){
							mui.toast(data.Msg);
							document.getElementById('shouc').innerText=data.data.my == 1?'取消收藏':'收藏'
						}
					})
//					document.getElementById('shouc').innerText="";
				})
			}
			setTimeout(function(){
				plus.nativeUI.closeWaiting()
			},300);
		});
	},
	onload: function() {
		var self = plus.webview.currentWebview();
		var _this = this;
		var secwidth = window.screen.availWidth;
		secwidth = (secwidth - 30) / 2;
		_this.secwidth = secwidth;
		_this.getcontent(self.store_id);
		//console.log('-------************-----' + secwidth);
		var detailsview = mui.preload({
			url: 'details.html',
			id: 'store_details', //默认使用当前页面的url作为id
			styles: {
				top: 0,
				bottom: 0
			}
		});

		var webApp = {};
		webApp.page = 0;
		webApp.data = [];

		webApp.allposts = function(type) {
			webApp.datap = {
				"page": webApp.page,
				store_id: self.store_id,
				flag: 1,
				"pagesize": 10,
			}
			if(webApp.qingqiu) {
				return false;
			}
			webApp.qingqiu = true;
			app_post(_this.url.list_goods_store,webApp.datap, function(data) {
				document.getElementById('showloading').style.display="none";
				document.getElementById('refreshContainer').style.display="block";
				webApp.qingqiu = false;
				if(data.Error == 0) {
					//如果需要重新请求，就要清空数据  webApp.AppOrder.refresh=true
					webApp.maxpage = data.maxpage;

					if(webApp.refresh) webApp.data = [];

					var isEnd = true;
					mui.each(data.data, function($k, $v) {
						webApp.data.push($v);
						isEnd = false;

					});
					if(webApp.page >= webApp.maxpage) {
						isEnd = true;
					}
					//console.log(webApp.data)
					if(webApp.data.length > 0) {
						// 有数据是关闭没有数据的页面提示  并且渲染模版
						var html = template('listH', {
							listD: webApp.data,
							secwidth: _this.secwidth
						});
						document.getElementById('list').innerHTML = html;
						mui(".mui-table-view").off('tap', '.mui-table-view-cell');
						mui(".mui-table-view").on('tap', '.mui-table-view-cell', function() {
							var datar = this.getAttribute('data-r');
							if(datar) {
								var obj = _this.open(
									'../goods/details.html',
									'goods_details', {
										top: 0,
										bottom: 0
									}, {
										goodsid: datar
									}
								);
								if(!obj) return;
							}
						});
					} else {
						
						// 没有数据显示的内容
					}
					if(type == 1) mui('#refreshContainer').pullRefresh().endPulldownToRefresh();
					if(type == 2) mui('#refreshContainer').pullRefresh().endPullupToRefresh(isEnd);
					webApp.refresh = false;
				}
			});
		};
		webApp.pullfreshFunction = function() {
			if(webApp.refresh) return false;
			webApp.refresh = true;
			webApp.page = 1;
			webApp.data = [];
			webApp.allposts(1);
			//console.log("执行一次");
			mui('#refreshContainer').pullRefresh().endPulldownToRefresh();
			mui('#refreshContainer').pullRefresh().enablePullupToRefresh();
			mui('#refreshContainer').pullRefresh().finished = false;
		};
		webApp.UpfreshFunction = function() {
			if(webApp.refresh) {
				mui('#refreshContainer').pullRefresh().endPullupToRefresh(false);
				return false;
			}
			webApp.page = webApp.page + 1;
			webApp.allposts(2);
		}
		mui.init({
			pullRefresh: {
				container: "#refreshContainer", //下拉刷新容器标识，querySelector能定位的css选择器均可，比如：id、.class等
				down: {
					height: 50, //可选,默认50.触发下拉刷新拖动距离,
					auto: false, //可选,默认false.自动下拉刷新一次
					contentdown: '正在刷新', //可选，在下拉可刷新状态时，下拉刷新控件上显示的标题内容
					contentover: '下拉刷新', //可选，在释放可刷新状态时，下拉刷新控件上显示的标题内容
					contentrefresh: '正在刷新', //可选，正在刷新状态时，下拉刷新控件上显示的标题内容
					callback: webApp.pullfreshFunction //必选，刷新函数，根据具体业务来编写，比如通过ajax从服务器获取新数据；
				},
				up: {
					height: 50, //可选.默认50.触发上拉加载拖动距离
					auto: true, //可选,默认false.自动上拉加载一次
					contentrefresh: "正在加载...", //可选，正在加载状态时，上拉加载控件上显示的标题内容
					contentnomore: '', //可选，请求完毕若没有更多数据时显示的提醒内容；
					callback: webApp.UpfreshFunction //必选，刷新函数，根据具体业务来编写，比如通过ajax从服务器获取新数据；
				}
			}
		});

		//**************************************
		mui("#list").off('tap', '.mui-table-view-cell');
		mui("#list").on('tap', '.mui-table-view-cell', function() {
			var sid = this.getAttribute('data-r');
			var stitle = this.getAttribute('data-t');
			var viewh = plus.webview.getWebviewById('store_details');
			mui.fire(viewh, 'store_details', {
				gid: sid,
				urldata: '',
				vtitle: stitle
			});
			detailsview.show();
		})
	}
});