Page({
	url: {
		store_list: appurls + '/eshop.wastore/wastore_list/' + mid
	},
	getdata: [],
	getview: function() {
		var _this = this;

		if(_this.getdata.length > 0) {
			var html = template('listH', {
				listD: _this.getdata,
				secwidth: _this.secwidth
			});
			document.getElementById('list').innerHTML = html;
			document.getElementById('refreshContainer').style.display = "block";
			document.getElementById('nonecontent').style.display = "none";
		} else {
			document.getElementById('refreshContainer').style.display = "none";
			document.getElementById('nonecontent').style.display = "block";

		}
		mui(".mui-table-view").off('tap', '.mui-table-view-cell');
		mui(".mui-table-view").on('tap', '.mui-table-view-cell', function() {
			var aid = this.getAttribute('data-r');
			_this.open('details.html', 'store_details', {
				top: 0,
				bottom: 0
			}, {
				store_id: aid
			})
		})
	},
	page: 0,
	datap: {
		page: 1,
		pagesize: 10,
		search:{
			store_name: '',
			by_score:''
		}
	},
	qingqiu: false,
	allposts: function(type) {
		var _this = this;
		_this.datap.page = _this.page;
		_this.datap.pagesize = 10;

		if(_this.qingqiu) {
			return false;
		}
		_this.qingqiu = true;
		
		app_post(_this.url.store_list, _this.datap, function(data) {
			
			_this.qingqiu = false;
			if(data.Error == 0) {
				_this.maxpage = data.maxpage;
				if(_this.refresh) _this.getdata = [];
				var isEnd = true;
				mui.each(data.data, function($k, $v) {
					_this.getdata.push($v);
					isEnd = false;
				});
				if(_this.page >= _this.maxpage) {
					isEnd = true;
				}

				document.getElementById('showloading').style.display = "none";
				_this.datashow = true;
				if(_this.viewshow) {

					_this.getview();
				}
				if(type == 1) mui('#refreshContainer').pullRefresh().endPulldownToRefresh();
				if(type == 2) mui('#refreshContainer').pullRefresh().endPullupToRefresh(isEnd);
				_this.refresh = false;
			} else {
				mui.toast(data.Msg);
				mui.back();
			}
		});
	},
	onload: function() {
		var self = plus.webview.currentWebview();
		document.addEventListener("netchange", function() {
			var status = plus.networkinfo.getCurrentType();
			if(status !=1){
				self.reload();
			}
		})
		var _this = this;
		_this.datap.search['store_name'] = self.keytitle?self.keytitle:'';
		var secwidth = window.screen.availWidth;
		secwidth = (secwidth - 30) / 2;
		_this.secwidth = secwidth;
		
		var pullfreshFunction = function() {

			if(_this.refresh) return false;
			_this.refresh = true;
			_this.page = 1;
			_this.getdata = [];
			_this.allposts(1);

			mui('#refreshContainer').pullRefresh().endPulldownToRefresh();
			mui('#refreshContainer').pullRefresh().enablePullupToRefresh();
			mui('#refreshContainer').pullRefresh().finished = false;
		}
		var UpfreshFunction = function() {
			if(_this.refresh) {
				mui('#refreshContainer').pullRefresh().endPullupToRefresh(false);
				return false;
			}
			_this.page = _this.page + 1;
			_this.allposts(2);
		}
		mui.init({
			pullRefresh: {
				container: "#refreshContainer", //下拉刷新容器标识，querySelector能定位的css选择器均可，比如：id、.class等
				down: {
					height: 50, //可选,默认50.触发下拉刷新拖动距离,
					auto: false, //可选,默认false.自动下拉刷新一次
					contentdown: '正在刷新', //可选，在下拉可刷新状态时，下拉刷新控件上显示的标题内容
					contentover: '下拉刷新', //可选，在释放可刷新状态时，下拉刷新控件上显示的标题内容
					contentrefresh: '正在刷新', //可选，正在刷新状态时，下拉刷新控件上显示的标题内容
					callback: pullfreshFunction //必选，刷新函数，根据具体业务来编写，比如通过ajax从服务器获取新数据；
				},
				up: {
					height: 50, //可选.默认50.触发上拉加载拖动距离
					auto: true, //可选,默认false.自动上拉加载一次
					contentrefresh: "正在加载...", //可选，正在加载状态时，上拉加载控件上显示的标题内容
					contentnomore: '更多精彩，敬请期待', //可选，请求完毕若没有更多数据时显示的提醒内容；
					callback: UpfreshFunction //必选，刷新函数，根据具体业务来编写，比如通过ajax从服务器获取新数据；
				}
			}
		});
		window.addEventListener('searchstorev', function(e) {
			_this.datap.search['store_name'] = e.detail.keytitle;
			
			_this.page = 1;
			pullfreshFunction();
		})
		window.addEventListener('searchstore', function(e) {
			if(e.detail.searchvalue == 'defalut') {
				_this.datap.search['by_score'] = '';
				_this.datap.search['group_id'] = '';
			} else if(e.detail.searchvalue == 'score') {
				_this.datap.search['by_score'] = 1;
			} else if(e.detail.searchvalue == 'search') {
				_this.datap.search['group_id'] = e.detail.classid;
			}
			_this.page = 1;
			pullfreshFunction();
		});
		window.addEventListener('searnoptios',function(e){
			_this.datap.search['group_id']=e.detail.group_id;
			_this.datap.search['floor_id']=e.detail.floor_id;
			_this.datap.search['layer_id']=e.detail.layer_id;
			_this.page = 1;
			pullfreshFunction();
		})
	},
	onLoaded: function() {
		var _this = this;
		_this.viewshow = true;
		if(_this.datashow) {
			_this.getview();
		}
	},
	onShow: function() {
		var _this = this;
		_this.viewshow = true;
		if(_this.datashow) {
			_this.getview();
		}
	}
});